using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;
using System.Reflection;
using SelectingFormInterface;

namespace FindControl
{
	public delegate void RowSelectedDelegate(FindControl findControl, DataTable table);
	
	public class FindControl : System.Windows.Forms.UserControl
	{
		private System.Windows.Forms.Button btnFind;
		private System.Windows.Forms.Button btnCancel;
		private System.ComponentModel.Container components = null;

		/// <summary>
		///  ,         
		/// </summary>
		public event RowSelectedDelegate RowSelected;

		private ISelectingForm selectingForm = null;
		public ISelectingForm SelectingForm
		{
			get { return selectingForm; }
			set { selectingForm = value; }
		}

		private Form personForm = null;
		public Form PersonForm
		{
			get { return personForm; }
			set { personForm = value; }
		}

		private string text = "";
		public override string Text
		{
			get
			{
				return text;
			}
			set
			{
				text = value;
				btnFind.Text = text;
			}
		}

		private DataRow targetRow = null;
		/// <summary>
		/// ,         
		/// </summary>
		public DataRow TargetRow 
		{
			get { return targetRow; }
			set { targetRow = value; } 
		}

		private string columnName = null;
		private System.Windows.Forms.Button btnData;
		/// <summary>
		///  ,            
		/// </summary>
		public string ColumnName 
		{
			get { return columnName; }
			set { columnName = value; } 
		}


		private DataTable table = null;
		/// <summary>
		/// ,    
		/// </summary>
		public DataTable Table 
		{
			get { return table; }
			set { table = value; } 
		}

		public FindControl()
		{
			InitializeComponent();

			this.btnCancel.Click += new EventHandler(btnCancel_Click);
			this.btnFind.Click += new EventHandler(btnFind_Click);
			this.btnData.Click += new EventHandler(btnData_Click);
		}

		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if( components != null )
					components.Dispose();
			}
			base.Dispose( disposing );
		}

		#region Component Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify 
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.btnFind = new System.Windows.Forms.Button();
			this.btnCancel = new System.Windows.Forms.Button();
			this.btnData = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// btnFind
			// 
			this.btnFind.Dock = System.Windows.Forms.DockStyle.Top;
			this.btnFind.Location = new System.Drawing.Point(0, 0);
			this.btnFind.Name = "btnFind";
			this.btnFind.Size = new System.Drawing.Size(72, 24);
			this.btnFind.TabIndex = 0;
			this.btnFind.Text = "Find";
			// 
			// btnCancel
			// 
			this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.btnCancel.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.btnCancel.Location = new System.Drawing.Point(0, 48);
			this.btnCancel.Name = "btnCancel";
			this.btnCancel.Size = new System.Drawing.Size(72, 24);
			this.btnCancel.TabIndex = 1;
			this.btnCancel.Text = "Cancel";
			// 
			// btnData
			// 
			this.btnData.Dock = System.Windows.Forms.DockStyle.Fill;
			this.btnData.Location = new System.Drawing.Point(0, 24);
			this.btnData.Name = "btnData";
			this.btnData.Size = new System.Drawing.Size(72, 24);
			this.btnData.TabIndex = 2;
			this.btnData.Text = "";
			// 
			// FindControl
			// 
			this.Controls.Add(this.btnData);
			this.Controls.Add(this.btnCancel);
			this.Controls.Add(this.btnFind);
			this.Name = "FindControl";
			this.Size = new System.Drawing.Size(72, 72);
			this.ResumeLayout(false);

		}
		#endregion

		private void btnCancel_Click(object sender, EventArgs e)
		{
			this.Visible = true;
			this.Dispose();				
		}

		private void btnFind_Click(object sender, EventArgs e)
		{
			try
			{
				Form form = (Form)this.SelectingForm;
				if (form.ShowDialog() == DialogResult.OK)
					RowSelected(this, this.Table);
			
				btnCancel_Click(btnCancel, new EventArgs());
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.Message, ex.Source);
			}
		}

		public override string ToString()
		{
			return "FindControl";
		}

		private void btnData_Click(object sender, EventArgs e)
		{
			if (personForm == null)
			{
				MessageBox.Show("    ");
				return;
			}

			personForm.ShowDialog();
			this.Dispose();
		}
	}
}