using System;
using System.Collections;

namespace Manager
{
	/// <summary>
	/// Summary description for UserAccounts.
	/// </summary>
	public class UserAccounts
	{
		private ArrayList accounts;

		public void AddUserAccount(string userName, string userPassword)
		{
			UserAccount ua = new UserAccount();

			ua.UserName = userName;
			ua.UserPassword = userPassword;

			accounts.Add(ua);
		}
	
		public void AddUserAccount(UserAccount userAccount)
		{
			accounts.Add(userAccount);
		}

		public UserAccount this[int index] 
		{
			get {return (UserAccount)accounts[index];}
		}

		public UserAccounts()
		{
			accounts = new ArrayList();
		}

		public UserAccounts(UserAccount[] userAccounts)
		{
			accounts = new ArrayList();

			foreach (UserAccount userAccount in userAccounts)
			{
				accounts.Add(userAccount);
			}
		}

		public void Clear()
		{
			accounts.Clear();
		}

		public void RemoveUserAccount(UserAccount userAccount)
		{
			accounts.Remove(userAccount);
		}

		public void RemoveUserAccountAt(int index)
		{
			accounts.RemoveAt(index);
		}
	}
}