using System;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using Manager.Forms;

namespace Manager
{
	public class frmClient : System.Windows.Forms.Form
	{
		private System.ComponentModel.Container components = null;
		
		/// <summary>
		/// [get, set] ID .      
		/// </summary>
		/// 
		private DataRow bindingRow;
		private System.Windows.Forms.TabPage tpClientData;
		internal System.Windows.Forms.Label lblClientID;
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.Button btnCancel;
		private System.Windows.Forms.Button btnOK;
		internal System.Windows.Forms.TabControl tcClient;
		internal System.Windows.Forms.TabPage tpClientGroups;
		internal System.Windows.Forms.DataGrid dgClientGroups;
	
		bool IsCreating = false;
		private System.Windows.Forms.GroupBox groupBox1;
		private System.Windows.Forms.DateTimePicker dtpRealizedDate;
		private System.Windows.Forms.Label label9;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.TextBox txtRealizingNotes;
		private System.Windows.Forms.TextBox txtRealizedSumm;
		private System.Windows.Forms.Button btnRealizeClient;
		private System.Windows.Forms.TabPage tpClientPaymentsAndRealizations;
		private System.Windows.Forms.GroupBox groupBox2;
		internal System.Windows.Forms.DateTimePicker dtpRecordDate;
		internal System.Windows.Forms.TextBox txtNotes;
		internal System.Windows.Forms.TextBox txtPhones;
		internal System.Windows.Forms.TextBox txtFatherName;
		internal System.Windows.Forms.TextBox txtLastName;
		internal System.Windows.Forms.TextBox txtFirstName;
		private System.Windows.Forms.Label label8;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.TabPage tpClientTables;
		private System.Windows.Forms.Panel panel5;
		private System.Windows.Forms.Label label11;
		private System.Windows.Forms.Button btnCalculate;
		private System.Windows.Forms.Label label10;
		private System.Windows.Forms.TextBox txtIncomeSumm;
		private System.Windows.Forms.Panel panel2;
		internal System.Windows.Forms.DataGrid dgPayments;
		private System.Windows.Forms.Panel panel3;
		internal System.Windows.Forms.DataGrid dgClientsRealization;
		private System.Windows.Forms.Splitter splitter1;
		private System.Windows.Forms.TextBox txtRealizationSumm;
		private System.Windows.Forms.GroupBox groupBox3;
		private System.Windows.Forms.Label label13;
		private System.Windows.Forms.Label label14;
		private System.Windows.Forms.TextBox txtIncomeNote;
		private System.Windows.Forms.TextBox txtIncomeClientSumm;
		private System.Windows.Forms.Button btnCreateClientPayment;
		private System.Windows.Forms.Label label12;
		private System.Windows.Forms.ComboBox cmbPaymentType;
	
		internal DataRow BindingRow
		{
			get { return bindingRow; }
			set { bindingRow = value; }
		}

		private System.Windows.Forms.DataGrid dgFindedClients;
		private System.Windows.Forms.HelpProvider helpProvider1;
		private System.Windows.Forms.Button btnFindClient;
		private System.Windows.Forms.Button btnSelectClient;
	
		private int groupID = 0;
		internal int GroupID
		{
			get { return groupID; }
			set { groupID = value; }
		}

		private int clientID = 0;
		internal int ClientID
		{
			get { return clientID; }
			set { clientID = value; }
		}

		private frmManager mainForm = null;
		private Manager.Forms.MainDataSet mainDataSet1;
	
		internal frmManager MainForm 
		{
			get { return mainForm; }
			set { mainForm = value; }
		}

		internal CurrencyManager cmPaymentType;

		/// <summary>
		/// Initializes a new instance of the Manager.frmClient class. This is the default constructor.
		/// </summary>
		/// 

		private MainDataSet mainDataSet = null;
		public frmClient(MainDataSet mainDataSet)
		{
			InitializeComponent();

			this.mainDataSet = mainDataSet;
			dgPayments.Tag = "Payments";
			dgClientsRealization.Tag = "Realization";
			Size labelSize = new Size(this.Width, lblClientID.Size.Height); 
			this.lblClientID.Size = labelSize;

			mainDataSet.income.Columns["clientID"].DefaultValue = this.ClientID;
			mainDataSet.RealizedTable.Columns["clientID"].DefaultValue = this.ClientID;

			DesigneDataGrids();
			btnCreateClientPayment.Click += new EventHandler(btnCreateClientPayment_Click);
			btnRealizeClient.Click += new EventHandler(btnRealizeClient_Click);
			cmbPaymentType.DataSource = mainDataSet.payment_type;
			cmbPaymentType.DisplayMember = "payment_typeName";
			cmPaymentType = (CurrencyManager)this.BindingContext[mainDataSet, "payment_type"];
			cmPaymentType.Position = 0;
			
			//*****************************
			btnFindClient.Click += new EventHandler(btnFindClient_Click);
			btnSelectClient.Click += new EventHandler(btnSelectClient_Click);
			dgFindedClients.MouseUp += new MouseEventHandler(dgFindedClients_MouseUp);
			dgPayments.MouseUp += new MouseEventHandler(dgPayments_MouseUp);
			dgClientsRealization.MouseUp += new MouseEventHandler(dgPayments_MouseUp);
			//*****************************
		}

		public frmClient(DataRow bindingRow, MainDataSet mainDataSet)
		{
			InitializeComponent();

			this.mainDataSet = mainDataSet;
			dgPayments.Tag = "Payments";
			dgClientsRealization.Tag = "Realization";

			IsCreating = true;
			Size labelSize = new Size(this.Width, lblClientID.Size.Height); 
			this.lblClientID.Size = labelSize;

			this.bindingRow = bindingRow;
			this.ClientID = (int)bindingRow[0];

			this.lblClientID.Text += this.ClientID.ToString();
			this.txtFirstName.Text = bindingRow[1].ToString();
			this.txtLastName.Text = bindingRow[2].ToString();
			this.txtFatherName.Text = bindingRow[3].ToString();
			this.txtPhones.Text = bindingRow[4].ToString();
			this.dtpRecordDate.Value = (DateTime)bindingRow[5];
			this.txtNotes.Text = bindingRow[6].ToString();
			mainDataSet.income.Columns["clientID"].DefaultValue = this.ClientID;
			mainDataSet.RealizedTable.Columns["clientID"].DefaultValue = this.ClientID;

			btnCreateClientPayment.Click += new EventHandler(btnCreateClientPayment_Click);
			btnRealizeClient.Click += new EventHandler(btnRealizeClient_Click);
			DesigneDataGrids();

			cmbPaymentType.DataSource = mainDataSet.payment_type;
			cmbPaymentType.DisplayMember = "payment_typeName";
			cmPaymentType = (CurrencyManager)this.BindingContext[mainDataSet, "payment_type"];
			cmPaymentType.Position = 0;

			//**********************
			btnFindClient.Click += new EventHandler(btnFindClient_Click);
			btnSelectClient.Click += new EventHandler(btnSelectClient_Click);
			dgFindedClients.MouseUp += new MouseEventHandler(dgFindedClients_MouseUp);
			dgPayments.MouseUp += new MouseEventHandler(dgPayments_MouseUp);
			dgClientsRealization.MouseUp += new MouseEventHandler(dgPayments_MouseUp);
			//**********************
		}

		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}


		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.tcClient = new System.Windows.Forms.TabControl();
			this.tpClientData = new System.Windows.Forms.TabPage();
			this.btnSelectClient = new System.Windows.Forms.Button();
			this.btnFindClient = new System.Windows.Forms.Button();
			this.dgFindedClients = new System.Windows.Forms.DataGrid();
			this.groupBox2 = new System.Windows.Forms.GroupBox();
			this.dtpRecordDate = new System.Windows.Forms.DateTimePicker();
			this.txtNotes = new System.Windows.Forms.TextBox();
			this.txtPhones = new System.Windows.Forms.TextBox();
			this.txtFatherName = new System.Windows.Forms.TextBox();
			this.txtLastName = new System.Windows.Forms.TextBox();
			this.txtFirstName = new System.Windows.Forms.TextBox();
			this.label8 = new System.Windows.Forms.Label();
			this.label7 = new System.Windows.Forms.Label();
			this.label6 = new System.Windows.Forms.Label();
			this.label5 = new System.Windows.Forms.Label();
			this.label4 = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.lblClientID = new System.Windows.Forms.Label();
			this.tpClientPaymentsAndRealizations = new System.Windows.Forms.TabPage();
			this.groupBox3 = new System.Windows.Forms.GroupBox();
			this.cmbPaymentType = new System.Windows.Forms.ComboBox();
			this.label12 = new System.Windows.Forms.Label();
			this.label13 = new System.Windows.Forms.Label();
			this.label14 = new System.Windows.Forms.Label();
			this.txtIncomeNote = new System.Windows.Forms.TextBox();
			this.txtIncomeClientSumm = new System.Windows.Forms.TextBox();
			this.btnCreateClientPayment = new System.Windows.Forms.Button();
			this.groupBox1 = new System.Windows.Forms.GroupBox();
			this.dtpRealizedDate = new System.Windows.Forms.DateTimePicker();
			this.label9 = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this.txtRealizingNotes = new System.Windows.Forms.TextBox();
			this.txtRealizedSumm = new System.Windows.Forms.TextBox();
			this.btnRealizeClient = new System.Windows.Forms.Button();
			this.tpClientTables = new System.Windows.Forms.TabPage();
			this.splitter1 = new System.Windows.Forms.Splitter();
			this.panel3 = new System.Windows.Forms.Panel();
			this.dgClientsRealization = new System.Windows.Forms.DataGrid();
			this.panel2 = new System.Windows.Forms.Panel();
			this.dgPayments = new System.Windows.Forms.DataGrid();
			this.panel5 = new System.Windows.Forms.Panel();
			this.label11 = new System.Windows.Forms.Label();
			this.btnCalculate = new System.Windows.Forms.Button();
			this.txtRealizationSumm = new System.Windows.Forms.TextBox();
			this.label10 = new System.Windows.Forms.Label();
			this.txtIncomeSumm = new System.Windows.Forms.TextBox();
			this.tpClientGroups = new System.Windows.Forms.TabPage();
			this.dgClientGroups = new System.Windows.Forms.DataGrid();
			this.panel1 = new System.Windows.Forms.Panel();
			this.btnCancel = new System.Windows.Forms.Button();
			this.btnOK = new System.Windows.Forms.Button();
			this.helpProvider1 = new System.Windows.Forms.HelpProvider();
			this.mainDataSet1 = new Manager.Forms.MainDataSet();
			this.tcClient.SuspendLayout();
			this.tpClientData.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.dgFindedClients)).BeginInit();
			this.groupBox2.SuspendLayout();
			this.tpClientPaymentsAndRealizations.SuspendLayout();
			this.groupBox3.SuspendLayout();
			this.groupBox1.SuspendLayout();
			this.tpClientTables.SuspendLayout();
			this.panel3.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.dgClientsRealization)).BeginInit();
			this.panel2.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.dgPayments)).BeginInit();
			this.panel5.SuspendLayout();
			this.tpClientGroups.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.dgClientGroups)).BeginInit();
			this.panel1.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.mainDataSet1)).BeginInit();
			this.SuspendLayout();
			// 
			// tcClient
			// 
			this.tcClient.Controls.Add(this.tpClientData);
			this.tcClient.Controls.Add(this.tpClientPaymentsAndRealizations);
			this.tcClient.Controls.Add(this.tpClientTables);
			this.tcClient.Controls.Add(this.tpClientGroups);
			this.tcClient.Dock = System.Windows.Forms.DockStyle.Fill;
			this.tcClient.Location = new System.Drawing.Point(0, 0);
			this.tcClient.Name = "tcClient";
			this.tcClient.SelectedIndex = 0;
			this.tcClient.Size = new System.Drawing.Size(586, 543);
			this.tcClient.TabIndex = 0;
			// 
			// tpClientData
			// 
			this.tpClientData.Controls.Add(this.btnSelectClient);
			this.tpClientData.Controls.Add(this.btnFindClient);
			this.tpClientData.Controls.Add(this.dgFindedClients);
			this.tpClientData.Controls.Add(this.groupBox2);
			this.tpClientData.Controls.Add(this.lblClientID);
			this.tpClientData.Location = new System.Drawing.Point(4, 22);
			this.tpClientData.Name = "tpClientData";
			this.tpClientData.Size = new System.Drawing.Size(578, 517);
			this.tpClientData.TabIndex = 0;
			this.tpClientData.Text = " ";
			// 
			// btnSelectClient
			// 
			this.btnSelectClient.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.helpProvider1.SetHelpString(this.btnSelectClient, "  ");
			this.btnSelectClient.Location = new System.Drawing.Point(480, 240);
			this.btnSelectClient.Name = "btnSelectClient";
			this.helpProvider1.SetShowHelp(this.btnSelectClient, true);
			this.btnSelectClient.TabIndex = 1;
			this.btnSelectClient.Text = "";
			// 
			// btnFindClient
			// 
			this.btnFindClient.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.btnFindClient.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.helpProvider1.SetHelpString(this.btnFindClient, "          ");
			this.btnFindClient.Location = new System.Drawing.Point(400, 240);
			this.btnFindClient.Name = "btnFindClient";
			this.helpProvider1.SetShowHelp(this.btnFindClient, true);
			this.btnFindClient.TabIndex = 0;
			this.btnFindClient.Text = "";
			// 
			// dgFindedClients
			// 
			this.dgFindedClients.AllowNavigation = false;
			this.dgFindedClients.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.dgFindedClients.DataMember = "";
			this.dgFindedClients.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.dgFindedClients.Location = new System.Drawing.Point(8, 272);
			this.dgFindedClients.Name = "dgFindedClients";
			this.dgFindedClients.Size = new System.Drawing.Size(552, 184);
			this.dgFindedClients.TabIndex = 2;
			// 
			// groupBox2
			// 
			this.groupBox2.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.groupBox2.Controls.Add(this.dtpRecordDate);
			this.groupBox2.Controls.Add(this.txtNotes);
			this.groupBox2.Controls.Add(this.txtPhones);
			this.groupBox2.Controls.Add(this.txtFatherName);
			this.groupBox2.Controls.Add(this.txtLastName);
			this.groupBox2.Controls.Add(this.txtFirstName);
			this.groupBox2.Controls.Add(this.label8);
			this.groupBox2.Controls.Add(this.label7);
			this.groupBox2.Controls.Add(this.label6);
			this.groupBox2.Controls.Add(this.label5);
			this.groupBox2.Controls.Add(this.label4);
			this.groupBox2.Controls.Add(this.label3);
			this.groupBox2.Location = new System.Drawing.Point(7, 29);
			this.groupBox2.Name = "groupBox2";
			this.groupBox2.Size = new System.Drawing.Size(553, 203);
			this.groupBox2.TabIndex = 53;
			this.groupBox2.TabStop = false;
			// 
			// dtpRecordDate
			// 
			this.dtpRecordDate.CalendarForeColor = System.Drawing.SystemColors.ActiveCaption;
			this.dtpRecordDate.CustomFormat = "dd MMMM yyyy";
			this.dtpRecordDate.Format = System.Windows.Forms.DateTimePickerFormat.Custom;
			this.dtpRecordDate.Location = new System.Drawing.Point(136, 18);
			this.dtpRecordDate.Name = "dtpRecordDate";
			this.dtpRecordDate.Size = new System.Drawing.Size(136, 20);
			this.dtpRecordDate.TabIndex = 0;
			// 
			// txtNotes
			// 
			this.txtNotes.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.txtNotes.Location = new System.Drawing.Point(280, 128);
			this.txtNotes.Multiline = true;
			this.txtNotes.Name = "txtNotes";
			this.txtNotes.ScrollBars = System.Windows.Forms.ScrollBars.Both;
			this.txtNotes.Size = new System.Drawing.Size(256, 60);
			this.txtNotes.TabIndex = 5;
			this.txtNotes.Text = "";
			// 
			// txtPhones
			// 
			this.txtPhones.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.txtPhones.Location = new System.Drawing.Point(280, 40);
			this.txtPhones.Multiline = true;
			this.txtPhones.Name = "txtPhones";
			this.txtPhones.Size = new System.Drawing.Size(256, 56);
			this.txtPhones.TabIndex = 4;
			this.txtPhones.Text = "";
			// 
			// txtFatherName
			// 
			this.txtFatherName.Location = new System.Drawing.Point(16, 168);
			this.txtFatherName.Name = "txtFatherName";
			this.txtFatherName.Size = new System.Drawing.Size(256, 20);
			this.txtFatherName.TabIndex = 3;
			this.txtFatherName.Text = "";
			// 
			// txtLastName
			// 
			this.txtLastName.Location = new System.Drawing.Point(16, 72);
			this.txtLastName.Name = "txtLastName";
			this.txtLastName.Size = new System.Drawing.Size(256, 20);
			this.txtLastName.TabIndex = 1;
			this.txtLastName.Text = "";
			// 
			// txtFirstName
			// 
			this.txtFirstName.Location = new System.Drawing.Point(16, 120);
			this.txtFirstName.Name = "txtFirstName";
			this.txtFirstName.Size = new System.Drawing.Size(256, 20);
			this.txtFirstName.TabIndex = 2;
			this.txtFirstName.Text = "";
			// 
			// label8
			// 
			this.label8.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.label8.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.label8.ForeColor = System.Drawing.Color.Green;
			this.label8.Location = new System.Drawing.Point(280, 106);
			this.label8.Name = "label8";
			this.label8.Size = new System.Drawing.Size(86, 16);
			this.label8.TabIndex = 64;
			this.label8.Text = ":";
			this.label8.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label7
			// 
			this.label7.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.label7.ForeColor = System.Drawing.Color.Green;
			this.label7.Location = new System.Drawing.Point(16, 19);
			this.label7.Name = "label7";
			this.label7.Size = new System.Drawing.Size(116, 16);
			this.label7.TabIndex = 63;
			this.label7.Text = " :";
			this.label7.TextAlign = System.Drawing.ContentAlignment.BottomLeft;
			// 
			// label6
			// 
			this.label6.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.label6.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.label6.ForeColor = System.Drawing.Color.Green;
			this.label6.Location = new System.Drawing.Point(278, 19);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(96, 16);
			this.label6.TabIndex = 62;
			this.label6.Text = ":";
			this.label6.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label5
			// 
			this.label5.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.label5.ForeColor = System.Drawing.Color.Green;
			this.label5.Location = new System.Drawing.Point(16, 144);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(96, 23);
			this.label5.TabIndex = 61;
			this.label5.Text = ":";
			this.label5.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label4
			// 
			this.label4.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.label4.ForeColor = System.Drawing.Color.Green;
			this.label4.Location = new System.Drawing.Point(16, 96);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(96, 23);
			this.label4.TabIndex = 6;
			this.label4.Text = ":";
			this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label3
			// 
			this.label3.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.label3.ForeColor = System.Drawing.Color.Green;
			this.label3.Location = new System.Drawing.Point(16, 48);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(96, 23);
			this.label3.TabIndex = 59;
			this.label3.Text = ":";
			this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// lblClientID
			// 
			this.lblClientID.Dock = System.Windows.Forms.DockStyle.Top;
			this.lblClientID.Font = new System.Drawing.Font("Microsoft Sans Serif", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.lblClientID.ForeColor = System.Drawing.Color.RoyalBlue;
			this.lblClientID.Location = new System.Drawing.Point(0, 0);
			this.lblClientID.Name = "lblClientID";
			this.lblClientID.Size = new System.Drawing.Size(578, 23);
			this.lblClientID.TabIndex = 16;
			this.lblClientID.Text = "  ";
			this.lblClientID.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// tpClientPaymentsAndRealizations
			// 
			this.tpClientPaymentsAndRealizations.Controls.Add(this.groupBox3);
			this.tpClientPaymentsAndRealizations.Controls.Add(this.groupBox1);
			this.tpClientPaymentsAndRealizations.Location = new System.Drawing.Point(4, 22);
			this.tpClientPaymentsAndRealizations.Name = "tpClientPaymentsAndRealizations";
			this.tpClientPaymentsAndRealizations.Size = new System.Drawing.Size(578, 517);
			this.tpClientPaymentsAndRealizations.TabIndex = 3;
			this.tpClientPaymentsAndRealizations.Text = "  ";
			// 
			// groupBox3
			// 
			this.groupBox3.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.groupBox3.Controls.Add(this.cmbPaymentType);
			this.groupBox3.Controls.Add(this.label12);
			this.groupBox3.Controls.Add(this.label13);
			this.groupBox3.Controls.Add(this.label14);
			this.groupBox3.Controls.Add(this.txtIncomeNote);
			this.groupBox3.Controls.Add(this.txtIncomeClientSumm);
			this.groupBox3.Controls.Add(this.btnCreateClientPayment);
			this.groupBox3.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.groupBox3.ForeColor = System.Drawing.Color.RoyalBlue;
			this.groupBox3.Location = new System.Drawing.Point(17, 24);
			this.groupBox3.Name = "groupBox3";
			this.groupBox3.Size = new System.Drawing.Size(544, 208);
			this.groupBox3.TabIndex = 39;
			this.groupBox3.TabStop = false;
			this.groupBox3.Text = " ";
			// 
			// cmbPaymentType
			// 
			this.cmbPaymentType.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cmbPaymentType.Location = new System.Drawing.Point(8, 104);
			this.cmbPaymentType.Name = "cmbPaymentType";
			this.cmbPaymentType.Size = new System.Drawing.Size(160, 24);
			this.cmbPaymentType.TabIndex = 2;
			// 
			// label12
			// 
			this.label12.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.label12.ForeColor = System.Drawing.Color.Green;
			this.label12.Location = new System.Drawing.Point(8, 80);
			this.label12.Name = "label12";
			this.label12.Size = new System.Drawing.Size(120, 23);
			this.label12.TabIndex = 12;
			this.label12.Text = "";
			// 
			// label13
			// 
			this.label13.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.label13.ForeColor = System.Drawing.Color.Green;
			this.label13.Location = new System.Drawing.Point(216, 24);
			this.label13.Name = "label13";
			this.label13.Size = new System.Drawing.Size(88, 23);
			this.label13.TabIndex = 9;
			this.label13.Text = "";
			// 
			// label14
			// 
			this.label14.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.label14.ForeColor = System.Drawing.Color.Green;
			this.label14.Location = new System.Drawing.Point(8, 24);
			this.label14.Name = "label14";
			this.label14.Size = new System.Drawing.Size(120, 23);
			this.label14.TabIndex = 8;
			this.label14.Text = "";
			// 
			// txtIncomeNote
			// 
			this.txtIncomeNote.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.txtIncomeNote.Location = new System.Drawing.Point(216, 48);
			this.txtIncomeNote.Multiline = true;
			this.txtIncomeNote.Name = "txtIncomeNote";
			this.txtIncomeNote.Size = new System.Drawing.Size(184, 80);
			this.txtIncomeNote.TabIndex = 1;
			this.txtIncomeNote.Text = "";
			// 
			// txtIncomeClientSumm
			// 
			this.txtIncomeClientSumm.Location = new System.Drawing.Point(8, 48);
			this.txtIncomeClientSumm.Name = "txtIncomeClientSumm";
			this.txtIncomeClientSumm.Size = new System.Drawing.Size(160, 23);
			this.txtIncomeClientSumm.TabIndex = 0;
			this.txtIncomeClientSumm.Text = "";
			// 
			// btnCreateClientPayment
			// 
			this.btnCreateClientPayment.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.btnCreateClientPayment.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.btnCreateClientPayment.Location = new System.Drawing.Point(408, 48);
			this.btnCreateClientPayment.Name = "btnCreateClientPayment";
			this.btnCreateClientPayment.Size = new System.Drawing.Size(120, 23);
			this.btnCreateClientPayment.TabIndex = 3;
			this.btnCreateClientPayment.Text = " ";
			// 
			// groupBox1
			// 
			this.groupBox1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.groupBox1.Controls.Add(this.dtpRealizedDate);
			this.groupBox1.Controls.Add(this.label9);
			this.groupBox1.Controls.Add(this.label2);
			this.groupBox1.Controls.Add(this.label1);
			this.groupBox1.Controls.Add(this.txtRealizingNotes);
			this.groupBox1.Controls.Add(this.txtRealizedSumm);
			this.groupBox1.Controls.Add(this.btnRealizeClient);
			this.groupBox1.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.groupBox1.ForeColor = System.Drawing.Color.RoyalBlue;
			this.groupBox1.Location = new System.Drawing.Point(16, 248);
			this.groupBox1.Name = "groupBox1";
			this.groupBox1.Size = new System.Drawing.Size(544, 168);
			this.groupBox1.TabIndex = 38;
			this.groupBox1.TabStop = false;
			this.groupBox1.Text = " ";
			// 
			// dtpRealizedDate
			// 
			this.dtpRealizedDate.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.dtpRealizedDate.Format = System.Windows.Forms.DateTimePickerFormat.Short;
			this.dtpRealizedDate.Location = new System.Drawing.Point(8, 104);
			this.dtpRealizedDate.Name = "dtpRealizedDate";
			this.dtpRealizedDate.Size = new System.Drawing.Size(152, 23);
			this.dtpRealizedDate.TabIndex = 2;
			// 
			// label9
			// 
			this.label9.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.label9.ForeColor = System.Drawing.Color.Green;
			this.label9.Location = new System.Drawing.Point(8, 80);
			this.label9.Name = "label9";
			this.label9.TabIndex = 10;
			this.label9.Text = " ";
			// 
			// label2
			// 
			this.label2.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.label2.ForeColor = System.Drawing.Color.Green;
			this.label2.Location = new System.Drawing.Point(216, 24);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(88, 23);
			this.label2.TabIndex = 9;
			this.label2.Text = "";
			// 
			// label1
			// 
			this.label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.label1.ForeColor = System.Drawing.Color.Green;
			this.label1.Location = new System.Drawing.Point(8, 24);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(120, 23);
			this.label1.TabIndex = 8;
			this.label1.Text = "";
			// 
			// txtRealizingNotes
			// 
			this.txtRealizingNotes.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.txtRealizingNotes.Location = new System.Drawing.Point(216, 48);
			this.txtRealizingNotes.Multiline = true;
			this.txtRealizingNotes.Name = "txtRealizingNotes";
			this.txtRealizingNotes.Size = new System.Drawing.Size(184, 80);
			this.txtRealizingNotes.TabIndex = 1;
			this.txtRealizingNotes.Text = "";
			// 
			// txtRealizedSumm
			// 
			this.txtRealizedSumm.Location = new System.Drawing.Point(8, 48);
			this.txtRealizedSumm.Name = "txtRealizedSumm";
			this.txtRealizedSumm.Size = new System.Drawing.Size(152, 23);
			this.txtRealizedSumm.TabIndex = 0;
			this.txtRealizedSumm.Text = "";
			// 
			// btnRealizeClient
			// 
			this.btnRealizeClient.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.btnRealizeClient.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.btnRealizeClient.Location = new System.Drawing.Point(408, 48);
			this.btnRealizeClient.Name = "btnRealizeClient";
			this.btnRealizeClient.Size = new System.Drawing.Size(120, 23);
			this.btnRealizeClient.TabIndex = 3;
			this.btnRealizeClient.Text = "";
			// 
			// tpClientTables
			// 
			this.tpClientTables.Controls.Add(this.splitter1);
			this.tpClientTables.Controls.Add(this.panel3);
			this.tpClientTables.Controls.Add(this.panel2);
			this.tpClientTables.Controls.Add(this.panel5);
			this.tpClientTables.Location = new System.Drawing.Point(4, 22);
			this.tpClientTables.Name = "tpClientTables";
			this.tpClientTables.Size = new System.Drawing.Size(578, 517);
			this.tpClientTables.TabIndex = 4;
			this.tpClientTables.Text = "";
			// 
			// splitter1
			// 
			this.splitter1.Dock = System.Windows.Forms.DockStyle.Top;
			this.splitter1.Location = new System.Drawing.Point(0, 264);
			this.splitter1.Name = "splitter1";
			this.splitter1.Size = new System.Drawing.Size(578, 3);
			this.splitter1.TabIndex = 0;
			this.splitter1.TabStop = false;
			// 
			// panel3
			// 
			this.panel3.AutoScroll = true;
			this.panel3.Controls.Add(this.dgClientsRealization);
			this.panel3.Dock = System.Windows.Forms.DockStyle.Fill;
			this.panel3.Location = new System.Drawing.Point(0, 264);
			this.panel3.Name = "panel3";
			this.panel3.Size = new System.Drawing.Size(578, 253);
			this.panel3.TabIndex = 46;
			// 
			// dgClientsRealization
			// 
			this.dgClientsRealization.AllowNavigation = false;
			this.dgClientsRealization.CaptionFont = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Bold);
			this.dgClientsRealization.CaptionText = " ";
			this.dgClientsRealization.DataMember = "";
			this.dgClientsRealization.Dock = System.Windows.Forms.DockStyle.Fill;
			this.dgClientsRealization.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.dgClientsRealization.Location = new System.Drawing.Point(0, 0);
			this.dgClientsRealization.Name = "dgClientsRealization";
			this.dgClientsRealization.ReadOnly = true;
			this.dgClientsRealization.Size = new System.Drawing.Size(578, 253);
			this.dgClientsRealization.TabIndex = 0;
			// 
			// panel2
			// 
			this.panel2.AutoScroll = true;
			this.panel2.Controls.Add(this.dgPayments);
			this.panel2.Dock = System.Windows.Forms.DockStyle.Top;
			this.panel2.Location = new System.Drawing.Point(0, 80);
			this.panel2.Name = "panel2";
			this.panel2.Size = new System.Drawing.Size(578, 184);
			this.panel2.TabIndex = 44;
			// 
			// dgPayments
			// 
			this.dgPayments.AllowNavigation = false;
			this.dgPayments.CaptionFont = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Bold);
			this.dgPayments.CaptionText = "";
			this.dgPayments.DataMember = "";
			this.dgPayments.Dock = System.Windows.Forms.DockStyle.Fill;
			this.dgPayments.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.dgPayments.Location = new System.Drawing.Point(0, 0);
			this.dgPayments.Name = "dgPayments";
			this.dgPayments.Size = new System.Drawing.Size(578, 184);
			this.dgPayments.TabIndex = 0;
			// 
			// panel5
			// 
			this.panel5.Controls.Add(this.label11);
			this.panel5.Controls.Add(this.btnCalculate);
			this.panel5.Controls.Add(this.txtRealizationSumm);
			this.panel5.Controls.Add(this.label10);
			this.panel5.Controls.Add(this.txtIncomeSumm);
			this.panel5.Dock = System.Windows.Forms.DockStyle.Top;
			this.panel5.Location = new System.Drawing.Point(0, 0);
			this.panel5.Name = "panel5";
			this.panel5.Size = new System.Drawing.Size(578, 80);
			this.panel5.TabIndex = 0;
			// 
			// label11
			// 
			this.label11.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.label11.ForeColor = System.Drawing.Color.RoyalBlue;
			this.label11.Location = new System.Drawing.Point(56, 16);
			this.label11.Name = "label11";
			this.label11.TabIndex = 41;
			this.label11.Text = " :";
			this.label11.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// btnCalculate
			// 
			this.btnCalculate.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.btnCalculate.Location = new System.Drawing.Point(328, 16);
			this.btnCalculate.Name = "btnCalculate";
			this.btnCalculate.Size = new System.Drawing.Size(104, 23);
			this.btnCalculate.TabIndex = 2;
			this.btnCalculate.Text = "";
			this.btnCalculate.Click += new System.EventHandler(this.btnCalculate_Click);
			// 
			// txtRealizationSumm
			// 
			this.txtRealizationSumm.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.txtRealizationSumm.ForeColor = System.Drawing.Color.RoyalBlue;
			this.txtRealizationSumm.Location = new System.Drawing.Point(160, 48);
			this.txtRealizationSumm.Name = "txtRealizationSumm";
			this.txtRealizationSumm.Size = new System.Drawing.Size(136, 23);
			this.txtRealizationSumm.TabIndex = 1;
			this.txtRealizationSumm.Text = "";
			this.txtRealizationSumm.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
			// 
			// label10
			// 
			this.label10.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.label10.ForeColor = System.Drawing.Color.RoyalBlue;
			this.label10.Location = new System.Drawing.Point(8, 48);
			this.label10.Name = "label10";
			this.label10.Size = new System.Drawing.Size(144, 23);
			this.label10.TabIndex = 37;
			this.label10.Text = " :";
			this.label10.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// txtIncomeSumm
			// 
			this.txtIncomeSumm.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.txtIncomeSumm.ForeColor = System.Drawing.Color.RoyalBlue;
			this.txtIncomeSumm.Location = new System.Drawing.Point(160, 16);
			this.txtIncomeSumm.Name = "txtIncomeSumm";
			this.txtIncomeSumm.Size = new System.Drawing.Size(136, 23);
			this.txtIncomeSumm.TabIndex = 0;
			this.txtIncomeSumm.Text = "";
			this.txtIncomeSumm.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
			// 
			// tpClientGroups
			// 
			this.tpClientGroups.Controls.Add(this.dgClientGroups);
			this.tpClientGroups.Location = new System.Drawing.Point(4, 22);
			this.tpClientGroups.Name = "tpClientGroups";
			this.tpClientGroups.Size = new System.Drawing.Size(578, 517);
			this.tpClientGroups.TabIndex = 2;
			this.tpClientGroups.Text = " ";
			// 
			// dgClientGroups
			// 
			this.dgClientGroups.CaptionText = " ";
			this.dgClientGroups.ColumnHeadersVisible = false;
			this.dgClientGroups.DataMember = "";
			this.dgClientGroups.Dock = System.Windows.Forms.DockStyle.Fill;
			this.dgClientGroups.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.dgClientGroups.Location = new System.Drawing.Point(0, 0);
			this.dgClientGroups.Name = "dgClientGroups";
			this.dgClientGroups.Size = new System.Drawing.Size(578, 517);
			this.dgClientGroups.TabIndex = 0;
			this.dgClientGroups.DoubleClick += new System.EventHandler(this.dgClientGroups_DoubleClick);
			// 
			// panel1
			// 
			this.panel1.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.panel1.Controls.Add(this.btnCancel);
			this.panel1.Controls.Add(this.btnOK);
			this.panel1.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.panel1.Location = new System.Drawing.Point(0, 487);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(586, 56);
			this.panel1.TabIndex = 22;
			// 
			// btnCancel
			// 
			this.btnCancel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.btnCancel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.btnCancel.Location = new System.Drawing.Point(480, 16);
			this.btnCancel.Name = "btnCancel";
			this.btnCancel.Size = new System.Drawing.Size(80, 23);
			this.btnCancel.TabIndex = 1;
			this.btnCancel.Text = "&Cancel";
			// 
			// btnOK
			// 
			this.btnOK.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.btnOK.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.btnOK.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.helpProvider1.SetHelpString(this.btnOK, "  ");
			this.btnOK.Location = new System.Drawing.Point(384, 16);
			this.btnOK.Name = "btnOK";
			this.helpProvider1.SetShowHelp(this.btnOK, true);
			this.btnOK.Size = new System.Drawing.Size(80, 23);
			this.btnOK.TabIndex = 0;
			this.btnOK.Text = "&";
			// 
			// mainDataSet1
			// 
			this.mainDataSet1.DataSetName = "MainDataSet";
			this.mainDataSet1.Locale = new System.Globalization.CultureInfo("ru-RU");
			// 
			// frmClient
			// 
			this.AcceptButton = this.btnOK;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.CancelButton = this.btnCancel;
			this.ClientSize = new System.Drawing.Size(586, 543);
			this.Controls.Add(this.panel1);
			this.Controls.Add(this.tcClient);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.HelpButton = true;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "frmClient";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "  ";
			this.Activated += new System.EventHandler(this.frmClient_Activated);
			this.tcClient.ResumeLayout(false);
			this.tpClientData.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.dgFindedClients)).EndInit();
			this.groupBox2.ResumeLayout(false);
			this.tpClientPaymentsAndRealizations.ResumeLayout(false);
			this.groupBox3.ResumeLayout(false);
			this.groupBox1.ResumeLayout(false);
			this.tpClientTables.ResumeLayout(false);
			this.panel3.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.dgClientsRealization)).EndInit();
			this.panel2.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.dgPayments)).EndInit();
			this.panel5.ResumeLayout(false);
			this.tpClientGroups.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.dgClientGroups)).EndInit();
			this.panel1.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.mainDataSet1)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		private void btnGroups_Click(object sender, System.EventArgs e)
		{
			//			frmClientGroups fcg = new frmClientGroups();
			//
			//			//     group_clients
			//			DataView dvGroupClient = new DataView(frmNetDecManager.mainDataSet1.group_clients);
			//			dvGroupClient.RowFilter = "clientID = " + this.lblClientID.Text;
			//
			////			DataRow client = frmManager.mainDataSet1.clients.Rows[ - 1];
			////
			////			//    GroupClients  ID  
			////			DataRow[] groupClientsRows = client.GetChildRows("clientsgroup_clients");
			////
			////			DataTable dtFilteredGroups = new DataTable();
			////			//   
			////			foreach (DataRowView drv in dvGroupClient)
			////			{
			////				DataRow groupRow = dtFilteredGroups.NewRow();
			////				
			////				DataRow groupClientsRow = drv.Row;
			////
			////				int i = 0;
			////				foreach (object ob in groupClientsRow.ItemArray)
			////				{
			////					groupRow[i++] = ob; 
			////				}
			//////				DataRow groupRow = groupClientsRow.GetParentRow("groupsgroup_clients");
			//////
			//////				dtFilteredGroups.Rows.Add(groupRow);                       
			////			}
			//
			//			fcg.dgGroups.DataSource = dvGroupClient;
			//
			//			fcg.ShowDialog();
		}

		private void dgClientGroups_DoubleClick(object sender, System.EventArgs e)
		{
			//			DataGrid dg = (DataGrid)sender;
			//
			//			//			string tableName = dg.DataMember;
			//			//			if (tableName == "Income")
			//			//			{
			//			int rowID = dg.CurrentRowIndex;
			//				
			//			if (rowID >= 0)
			//			{
			//				DataRow clientRow = mainDataSet1.income.Rows[rowID].GetParentRow("clientsincome");
			//
			//				frmClient client = new frmClient(clientRow);
			//
			//				//					client.Text = "  " + mainDataSet1.income.Rows[rowID][0].ToString();
			//				//					client.lblClientID.Text += clientRow[0].ToString();
			//				//					client.txtFirstName.Text = clientRow[1].ToString(); 
			//				//					client.txtLastName.Text = clientRow[2].ToString();
			//				//					client.txtFartherName.Text = clientRow[3].ToString();
			//				//					client.txtPhones.Text = clientRow[4].ToString();
			//				//					client.txtRecordDate.Text = clientRow[5].ToString();
			//				//					client.txtNotes.Text = clientRow[6].ToString();
			//				//					client.cmbPaymentType.Text = clientRow[7].ToString();
			//				//					
			//				//					double clientSumm = (double)mainDataSet1.income.Rows[rowID][3];
			//				//					
			//				//					if (clientSumm > 0)
			//				//					{
			//				//						client.chbPaid.Checked = true;
			//				//						client.chbIsPayed_CheckedChanged(client.chbPaid, new EventArgs());
			//				//					}
			//				//					client.txtClientSumm.Text = clientSumm.ToString();
			//				
			//				client.ShowDialog();
			//			}
			//			//			}

		}

		private void txtLastName_Validated(object sender, System.EventArgs e)
		{
			if (IsCreating)
				if (txtLastName.Text != this.bindingRow["lname"].ToString())
				{
					this.bindingRow["lname"] = txtLastName.Text;
				}
		}

		private void txtFirstName_Validated(object sender, System.EventArgs e)
		{
			if (IsCreating)
				if (txtFirstName.Text != this.bindingRow["fname"].ToString())
				{
					this.bindingRow["fname"] = txtFirstName.Text;
				}
		}

		private void txtFartherName_Validated(object sender, System.EventArgs e)
		{
			if (IsCreating)
				if (txtFatherName.Text != this.bindingRow["fathName"].ToString())
				{
					this.bindingRow["fathName"] = txtFatherName.Text;
				}
		}

		private void txtPhones_Validated(object sender, System.EventArgs e)
		{
			if (IsCreating)
				if (txtPhones.Text != this.bindingRow["linkData"].ToString())
				{
					this.bindingRow["linkData"] = txtPhones.Text;
				}
		}

		private void dtpRecordDate_Validated(object sender, System.EventArgs e)
		{
			if (IsCreating)
				if (dtpRecordDate.Value != (DateTime)this.bindingRow["recorddate"])
				{
					this.bindingRow["recorddate"] = dtpRecordDate.Value;
				}
		}

		private void txtNotes_Validated(object sender, System.EventArgs e)
		{
			if (IsCreating)
				if (txtNotes.Text != this.bindingRow["note"].ToString())
				{
					this.bindingRow["note"] = txtNotes.Text;
				}
		}

		//  
		private void btnRealizeClient_Click(object sender, System.EventArgs e)
		{
			try
			{
				DataRow realizedRow = mainDataSet.RealizedTable.NewRow();

				realizedRow["realizedSumm"] = double.Parse(txtRealizedSumm.Text);
				realizedRow["realizingDate"] = dtpRealizedDate.Value;
				realizedRow["note"] = txtRealizingNotes.Text;
				realizedRow["clientID"] = clientID;

				mainDataSet.RealizedTable.Rows.Add(realizedRow);
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.Message, ex.Source);
			}
		}

		private void frmClient_Activated(object sender, System.EventArgs e)
		{
			txtLastName.Focus();
		}

		private void btnCalculate_Click(object sender, System.EventArgs e)
		{
			try
			{
				DataView dvIncome = (DataView)dgPayments.DataSource;

				double incomeSumm = 0;
				foreach (DataRowView drvIncome in dvIncome)
				{
					incomeSumm += (double)drvIncome.Row["summa"];
				}

				txtIncomeSumm.Text = incomeSumm.ToString("C");
				
				DataView dvRealized = (DataView)dgClientsRealization.DataSource;

				double realizedSumm = 0;
				foreach (DataRowView drvRealized in dvRealized)
				{
					realizedSumm += (double)drvRealized.Row["realizedSumm"];
				}

				txtRealizationSumm.Text = realizedSumm.ToString("C");
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.Message, ex.Source);
			}
		}

		private void DesigneDataGrids()
		{
			//     
			DataGridTableStyle incomeTableStyle = new DataGridTableStyle();
			incomeTableStyle.MappingName = "income";

			//			DataGridTextBoxColumn clientIDStyle = new DataGridTextBoxColumn();
			//			clientIDStyle.MappingName = "clientID";
			//			clientIDStyle.Width = 150;
			//			clientIDStyle.HeaderText = " ";

			DataGridTextBoxColumn summaStyle = new DataGridTextBoxColumn();
			summaStyle.MappingName = "summa";
			summaStyle.Width = 100;
			summaStyle.Format = "#.0";
			summaStyle.HeaderText = "";

			DataGridTextBoxColumn payment_typeIDStyle = new DataGridTextBoxColumn();
			payment_typeIDStyle.MappingName = "payment_typeID";
			payment_typeIDStyle.Width = 100;
			payment_typeIDStyle.HeaderText = "  ";
			
			DataGridTextBoxColumn noteStyle = new DataGridTextBoxColumn();
			noteStyle.MappingName = "note";
			noteStyle.Width = 100;
			noteStyle.HeaderText = "";

			DataGridBoolColumn realizedStyle = new DataGridBoolColumn();
			realizedStyle.MappingName = "IsRealized";
			realizedStyle.Width = 100;
			realizedStyle.HeaderText = "";

			incomeTableStyle.GridColumnStyles.AddRange(new DataGridColumnStyle[] {
																					 summaStyle,
																					 payment_typeIDStyle,
																					 noteStyle});

			dgPayments.TableStyles.Add(incomeTableStyle);

			//      
			DataGridTableStyle PlanRealizationTableStyle = new DataGridTableStyle();
			PlanRealizationTableStyle.MappingName = "PlanRealization";

			

			DataGridTextBoxColumn SummaRealizationStyle = new DataGridTextBoxColumn();
			SummaRealizationStyle.MappingName = "SummaRealization";
			SummaRealizationStyle.Width = 150;
			SummaRealizationStyle.Format = "#.0";
			SummaRealizationStyle.HeaderText = " ";

			DataGridTextBoxColumn DateRealizationStyle = new DataGridTextBoxColumn();
			DateRealizationStyle.MappingName = "DateRealization";
			DateRealizationStyle.Width = 100;			
			DateRealizationStyle.HeaderText = " ";
			
			DataGridTextBoxColumn noteRealizationStyle = new DataGridTextBoxColumn();
			noteRealizationStyle.MappingName = "Cause";
			noteRealizationStyle.Width = 100;
			noteRealizationStyle.HeaderText = "";

			PlanRealizationTableStyle.GridColumnStyles.AddRange(new DataGridTextBoxColumn[] {
																								SummaRealizationStyle,
																								DateRealizationStyle,
																								noteRealizationStyle});

			dgPayments.TableStyles.Add(PlanRealizationTableStyle);

			//       
			DataGridTableStyle RealizedTableStyle = new DataGridTableStyle();
			RealizedTableStyle.MappingName = "RealizedTable";

			DataGridTextBoxColumn RealizationSummStyle = new DataGridTextBoxColumn();
			RealizationSummStyle.MappingName = "realizedSumm";
			RealizationSummStyle.Width = 150;
			RealizationSummStyle.HeaderText = "";

			DataGridTextBoxColumn RealizingDateStyle = new DataGridTextBoxColumn();
			RealizingDateStyle.MappingName = "realizingDate";
			RealizingDateStyle.Width = 150;
			RealizingDateStyle.Format = "dd-MMMM-yyyy";
			RealizingDateStyle.HeaderText = " ";

			DataGridTextBoxColumn NoteRealizationStyle = new DataGridTextBoxColumn();
			NoteRealizationStyle.MappingName = "note";
			NoteRealizationStyle.Width = 100;			
			NoteRealizationStyle.HeaderText = "";

			RealizedTableStyle.GridColumnStyles.AddRange(new DataGridTextBoxColumn[] {
																						 RealizationSummStyle, 
																						 RealizingDateStyle,
																						 NoteRealizationStyle});

			dgClientsRealization.TableStyles.Add(RealizedTableStyle);
		}
		private void btnCreateClientPayment_Click(object sender, System.EventArgs e)
		{
			try
			{
				DataRow incomeRow = mainDataSet.income.NewRow();

				incomeRow["dataID"] = frmManager.DataID;
				incomeRow["clientID"] = this.clientID;
				incomeRow["summa"] = double.Parse(txtIncomeClientSumm.Text);
				incomeRow["note"] = txtIncomeNote.Text;
				incomeRow["IsRealized"] = 0;
				DataRowView payment_typeRowView = (DataRowView)cmPaymentType.Current;
				incomeRow["payment_typeID"] = payment_typeRowView.Row["payment_typeID"];
				///
				///      (  =  )
				///
				mainDataSet.income.Rows.Add(incomeRow);
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.Message, ex.Source);
			}
		}

		//**************************
		private void FilterClients()
		{
			string clientLastName = txtLastName.Text;
			string clientFirstName = txtFirstName.Text;
			string clientFatherName = txtFatherName.Text;

			DataView dataView = new DataView(mainDataSet.clients);
			string filter = "fname = \'" + clientFirstName + "\' OR lname = \'" + clientLastName + "\' OR fathName = \'" + clientFatherName + "\'";
			dataView.RowFilter = filter;

			dgFindedClients.DataSource = dataView;
		}

		private int GetClientIDInSearchDataGrid(DataGrid.HitTestInfo hti)
		{
			if (hti.Row == -1)
				return -1;

			DataView searchDataView = (DataView)dgFindedClients.DataSource;
			return (int)searchDataView[hti.Row].Row["clientID"];
		}

		private void PasteSelectedClient()
		{
			try
			{
				if (selectedClientIDInDataGrid == -1)
				{
					MessageBox.Show("  !");
					return;
				}

				DataRow groupClientsRow = mainDataSet.group_clients.NewRow();

				groupClientsRow["groupID"] = this.GroupID;
				groupClientsRow["clientID"] = selectedClientIDInDataGrid;
				groupClientsRow["IsPaid"] = false;
	
				mainDataSet.group_clients.Rows.Add(groupClientsRow);
				if (this.MainForm != null)
					MainForm.dgGroups_Click(MainForm.dgGroups, new EventArgs());
				
				this.Close();
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.Message, ex.Source);
			}
		}

		private void btnFindClient_Click(object sender, EventArgs e)
		{
			this.FilterClients();
		}
		
		private void btnSelectClient_Click(object sender, EventArgs e)
		{
			this.PasteSelectedClient();
		}

		int selectedClientIDInDataGrid = -1;
		//**************************

		private void dgFindedClients_MouseUp(object sender, MouseEventArgs e)
		{
			selectedClientIDInDataGrid = this.GetClientIDInSearchDataGrid(dgFindedClients.HitTest(e.X, e.Y));
		}

		private void dgPayments_MouseUp(object sender, MouseEventArgs e)
		{
			DataGrid dataGrid = (DataGrid)sender;
			DataGrid.HitTestInfo hti = dataGrid.HitTest(new Point(e.X, e.Y));
			
			if ((hti.Row < 0) || (hti.Column < 0))
				return;
			
			this.ShowDate(dataGrid, hti);
		}

		private void ShowDate(DataGrid dataGrid, DataGrid.HitTestInfo hti)
		{
			string caption = dataGrid.Tag.ToString();
			dataGrid.CaptionText = "";
			DataView dataView = (DataView)dataGrid.DataSource;
			DataRow row = null;
			
			row = (DataRow)dataView[hti.Row].Row;

			DateTime date;
			DataRow mainRow = null;
			if (dataGrid.Tag.ToString() == "Payments")
			{
				mainRow = row.GetParentRow("dataincome");

				if (mainRow == null)
					return;

				date = (DateTime)mainRow["currentDate"];
			}
			else if (dataGrid.Tag.ToString() == "Realization")
			{
				mainRow = row;

				if (mainRow == null)
					return;

				date = (DateTime)mainRow["DateRealization"];
			}
			else 
				return;

			string textFormat = String.Format(" - Date: {0}", date.ToString("dd MMMM yyyy"));
			caption += textFormat;
			dataGrid.CaptionText = caption;
		}
	}
}