using System;
using System.Drawing;
using System.Data;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using Manager.Forms;

namespace Manager
{
	/// <summary>
	///  
	/// </summary>
	public class frmGroup : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button btnOK;
		private System.Windows.Forms.Button btnCancel;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Label label10;
		internal System.Windows.Forms.TextBox txtNotes;
		internal System.Windows.Forms.ComboBox cmbClassNumber;
		private System.ComponentModel.Container components = null;
		internal System.Windows.Forms.ComboBox cmbEmployee;
		internal System.Windows.Forms.DateTimePicker dtpBeginDate;
		internal System.Windows.Forms.DateTimePicker dtpEndDate;
		internal System.Windows.Forms.ComboBox cmbStatus;
		private System.Windows.Forms.Label lblStatus;
		private System.Windows.Forms.Label lblEmployee;
		internal System.Windows.Forms.Label lblGroupID;
		internal System.Windows.Forms.DateTimePicker dtpBeginTime;
		internal System.Windows.Forms.DateTimePicker dtpEndTime;

		/// <summary>
		/// Initializes a new instance of the Manager.frmGroup class. This is the default constructor.
		/// </summary>

		internal CurrencyManager cmEmployees;
		internal CurrencyManager cmGroupStatus;
		private Manager.Forms.MainDataSet mainDataSet;
		private DataRow bindingRow;
		internal DataRow BindingRow
		{
			get { return bindingRow; }
			set { bindingRow = value; }
		}

		public frmGroup(MainDataSet mainDataSet)
		{
			InitializeComponent();
			this.mainDataSet = mainDataSet;
			
			cmbStatus.DataSource = mainDataSet.GroupStatus;
			cmbStatus.DisplayMember = "StatusName";
			cmGroupStatus = (CurrencyManager)this.BindingContext[mainDataSet, "GroupStatus"];
			cmGroupStatus.Position = 0;

			cmbEmployee.DataSource = mainDataSet.employees;
			cmbEmployee.DisplayMember = "EmployeeName";
			cmEmployees = (CurrencyManager)this.BindingContext[mainDataSet, "employees"];
			cmEmployees.Position = 0;
			
			Size labelSize = new Size(this.Width, lblGroupID.Size.Height); 
			this.lblGroupID.Size = labelSize;
		}

		public frmGroup(MainDataSet ds, DataRow bindingRow)
		{
			InitializeComponent();
			mainDataSet = ds;
			
			cmbStatus.DataSource = mainDataSet.GroupStatus;
			cmbStatus.DisplayMember = "StatusName";
			cmGroupStatus = (CurrencyManager)this.BindingContext[mainDataSet, "GroupStatus"];
			DataView dvStatus = (DataView)cmGroupStatus.List;
			dvStatus.Sort = "StatusID";
			int statusPos = dvStatus.Find(bindingRow["StatusID"]);
			cmbStatus.SelectedIndex = statusPos;

			cmbEmployee.DataSource = mainDataSet.employees;
			cmbEmployee.DisplayMember = "EmployeeName";
			cmEmployees = (CurrencyManager)this.BindingContext[mainDataSet, "employees"];
			DataView dvEmployee = (DataView)cmEmployees.List;
			dvEmployee.Sort = "employeeID";
			int employeePos = dvEmployee.Find(bindingRow["employeeID"]);
			cmbEmployee.SelectedIndex = employeePos;

			Size labelSize = new Size(this.Width, lblGroupID.Size.Height); 
			this.lblGroupID.Size = labelSize;

			this.bindingRow = bindingRow;

			int groupID = (int)bindingRow[0];
			this.lblGroupID.Text += groupID.ToString();

			DateTime beginDate = (DateTime)bindingRow[1];
			this.dtpBeginDate.Value = beginDate;
						
			DateTime endDate = (DateTime)bindingRow[2];
			this.dtpEndDate.Value = endDate;

			if (bindingRow.ItemArray[3] == null)
			{
				this.dtpBeginTime.Text = "";				
			}
			else
			{
				DateTime beginTime = (DateTime)bindingRow[3];
				this.dtpBeginTime.Text = beginTime.ToString("HH:mm");
			}
			
			if (bindingRow.ItemArray[4] == null)
			{
				this.dtpEndTime.Text = "";				
			}
			else
			{
				DateTime endTime = (DateTime)bindingRow[4];
				this.dtpEndTime.Text = endTime.ToString("HH:mm");
			}
			
			this.txtNotes.Text = bindingRow[9].ToString();
			this.cmbClassNumber.Text = bindingRow[6].ToString();
		}

		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.btnOK = new System.Windows.Forms.Button();
			this.btnCancel = new System.Windows.Forms.Button();
			this.label1 = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.label4 = new System.Windows.Forms.Label();
			this.label6 = new System.Windows.Forms.Label();
			this.label10 = new System.Windows.Forms.Label();
			this.txtNotes = new System.Windows.Forms.TextBox();
			this.cmbClassNumber = new System.Windows.Forms.ComboBox();
			this.lblGroupID = new System.Windows.Forms.Label();
			this.cmbEmployee = new System.Windows.Forms.ComboBox();
			this.lblEmployee = new System.Windows.Forms.Label();
			this.dtpBeginDate = new System.Windows.Forms.DateTimePicker();
			this.dtpEndDate = new System.Windows.Forms.DateTimePicker();
			this.cmbStatus = new System.Windows.Forms.ComboBox();
			this.lblStatus = new System.Windows.Forms.Label();
			this.dtpBeginTime = new System.Windows.Forms.DateTimePicker();
			this.dtpEndTime = new System.Windows.Forms.DateTimePicker();
			this.mainDataSet = new Manager.Forms.MainDataSet();
			((System.ComponentModel.ISupportInitialize)(this.mainDataSet)).BeginInit();
			this.SuspendLayout();
			// 
			// btnOK
			// 
			this.btnOK.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.btnOK.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.btnOK.Location = new System.Drawing.Point(352, 312);
			this.btnOK.Name = "btnOK";
			this.btnOK.Size = new System.Drawing.Size(80, 23);
			this.btnOK.TabIndex = 8;
			this.btnOK.Text = "&OK";
			// 
			// btnCancel
			// 
			this.btnCancel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.btnCancel.Location = new System.Drawing.Point(440, 312);
			this.btnCancel.Name = "btnCancel";
			this.btnCancel.Size = new System.Drawing.Size(80, 23);
			this.btnCancel.TabIndex = 9;
			this.btnCancel.Text = "&Cancel";
			// 
			// label1
			// 
			this.label1.ForeColor = System.Drawing.Color.Blue;
			this.label1.Location = new System.Drawing.Point(8, 64);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(72, 23);
			this.label1.TabIndex = 11;
			this.label1.Text = " ";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label2
			// 
			this.label2.ForeColor = System.Drawing.Color.Blue;
			this.label2.Location = new System.Drawing.Point(8, 120);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(72, 23);
			this.label2.TabIndex = 12;
			this.label2.Text = " ";
			this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label3
			// 
			this.label3.ForeColor = System.Drawing.Color.Blue;
			this.label3.Location = new System.Drawing.Point(160, 64);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(80, 23);
			this.label3.TabIndex = 13;
			this.label3.Text = " ";
			this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label4
			// 
			this.label4.ForeColor = System.Drawing.Color.Blue;
			this.label4.Location = new System.Drawing.Point(160, 120);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(80, 23);
			this.label4.TabIndex = 14;
			this.label4.Text = " ";
			this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label6
			// 
			this.label6.ForeColor = System.Drawing.Color.Green;
			this.label6.Location = new System.Drawing.Point(8, 208);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(80, 23);
			this.label6.TabIndex = 16;
			this.label6.Text = " ";
			this.label6.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label10
			// 
			this.label10.ForeColor = System.Drawing.Color.Blue;
			this.label10.Location = new System.Drawing.Point(264, 64);
			this.label10.Name = "label10";
			this.label10.Size = new System.Drawing.Size(96, 23);
			this.label10.TabIndex = 20;
			this.label10.Text = "";
			this.label10.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// txtNotes
			// 
			this.txtNotes.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.txtNotes.ForeColor = System.Drawing.SystemColors.Desktop;
			this.txtNotes.Location = new System.Drawing.Point(264, 88);
			this.txtNotes.Multiline = true;
			this.txtNotes.Name = "txtNotes";
			this.txtNotes.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
			this.txtNotes.Size = new System.Drawing.Size(256, 80);
			this.txtNotes.TabIndex = 4;
			this.txtNotes.Text = "";
			this.txtNotes.Validated += new System.EventHandler(this.txtNotes_Validated);
			// 
			// cmbClassNumber
			// 
			this.cmbClassNumber.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cmbClassNumber.ForeColor = System.Drawing.SystemColors.HotTrack;
			this.cmbClassNumber.Items.AddRange(new object[] {
																"1",
																"2",
																"3",
																"4",
																"5",
																"6"});
			this.cmbClassNumber.Location = new System.Drawing.Point(8, 232);
			this.cmbClassNumber.Name = "cmbClassNumber";
			this.cmbClassNumber.Size = new System.Drawing.Size(104, 21);
			this.cmbClassNumber.TabIndex = 5;
			this.cmbClassNumber.Validated += new System.EventHandler(this.cmbClassNumber_Validated);
			// 
			// lblGroupID
			// 
			this.lblGroupID.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.lblGroupID.ForeColor = System.Drawing.Color.Indigo;
			this.lblGroupID.Location = new System.Drawing.Point(0, 16);
			this.lblGroupID.Name = "lblGroupID";
			this.lblGroupID.Size = new System.Drawing.Size(296, 23);
			this.lblGroupID.TabIndex = 30;
			this.lblGroupID.Text = "  ";
			this.lblGroupID.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// cmbEmployee
			// 
			this.cmbEmployee.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cmbEmployee.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.cmbEmployee.ForeColor = System.Drawing.SystemColors.HotTrack;
			this.cmbEmployee.Location = new System.Drawing.Point(120, 232);
			this.cmbEmployee.Name = "cmbEmployee";
			this.cmbEmployee.Size = new System.Drawing.Size(192, 21);
			this.cmbEmployee.TabIndex = 6;
			// 
			// lblEmployee
			// 
			this.lblEmployee.ForeColor = System.Drawing.Color.Green;
			this.lblEmployee.Location = new System.Drawing.Point(120, 208);
			this.lblEmployee.Name = "lblEmployee";
			this.lblEmployee.Size = new System.Drawing.Size(64, 24);
			this.lblEmployee.TabIndex = 32;
			this.lblEmployee.Text = "C";
			this.lblEmployee.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// dtpBeginDate
			// 
			this.dtpBeginDate.CalendarForeColor = System.Drawing.Color.Blue;
			this.dtpBeginDate.CustomFormat = "dd MMMM yyyy";
			this.dtpBeginDate.Format = System.Windows.Forms.DateTimePickerFormat.Custom;
			this.dtpBeginDate.Location = new System.Drawing.Point(8, 88);
			this.dtpBeginDate.Name = "dtpBeginDate";
			this.dtpBeginDate.Size = new System.Drawing.Size(120, 20);
			this.dtpBeginDate.TabIndex = 0;
			this.dtpBeginDate.Validated += new System.EventHandler(this.dtpBeginDate_Validated);
			// 
			// dtpEndDate
			// 
			this.dtpEndDate.CalendarForeColor = System.Drawing.Color.Blue;
			this.dtpEndDate.CustomFormat = "dd MMMM yyyy";
			this.dtpEndDate.Format = System.Windows.Forms.DateTimePickerFormat.Custom;
			this.dtpEndDate.Location = new System.Drawing.Point(8, 144);
			this.dtpEndDate.Name = "dtpEndDate";
			this.dtpEndDate.Size = new System.Drawing.Size(120, 20);
			this.dtpEndDate.TabIndex = 2;
			this.dtpEndDate.Validated += new System.EventHandler(this.dtpEndDate_Validated);
			// 
			// cmbStatus
			// 
			this.cmbStatus.DisplayMember = "StatusName";
			this.cmbStatus.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cmbStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.cmbStatus.ForeColor = System.Drawing.SystemColors.HotTrack;
			this.cmbStatus.Location = new System.Drawing.Point(320, 232);
			this.cmbStatus.Name = "cmbStatus";
			this.cmbStatus.Size = new System.Drawing.Size(200, 21);
			this.cmbStatus.TabIndex = 7;
			this.cmbStatus.Validated += new System.EventHandler(this.cmbStatus_Validated);
			// 
			// lblStatus
			// 
			this.lblStatus.ForeColor = System.Drawing.Color.Green;
			this.lblStatus.Location = new System.Drawing.Point(320, 208);
			this.lblStatus.Name = "lblStatus";
			this.lblStatus.Size = new System.Drawing.Size(128, 23);
			this.lblStatus.TabIndex = 36;
			this.lblStatus.Text = "";
			this.lblStatus.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// dtpBeginTime
			// 
			this.dtpBeginTime.CustomFormat = "HH:mm";
			this.dtpBeginTime.Format = System.Windows.Forms.DateTimePickerFormat.Custom;
			this.dtpBeginTime.Location = new System.Drawing.Point(160, 88);
			this.dtpBeginTime.Name = "dtpBeginTime";
			this.dtpBeginTime.ShowUpDown = true;
			this.dtpBeginTime.Size = new System.Drawing.Size(64, 20);
			this.dtpBeginTime.TabIndex = 1;
			this.dtpBeginTime.Validated += new System.EventHandler(this.dtpBeginTime_Validated);
			// 
			// dtpEndTime
			// 
			this.dtpEndTime.CustomFormat = "HH:mm";
			this.dtpEndTime.Format = System.Windows.Forms.DateTimePickerFormat.Custom;
			this.dtpEndTime.Location = new System.Drawing.Point(160, 144);
			this.dtpEndTime.Name = "dtpEndTime";
			this.dtpEndTime.ShowUpDown = true;
			this.dtpEndTime.Size = new System.Drawing.Size(64, 20);
			this.dtpEndTime.TabIndex = 3;
			this.dtpEndTime.Validated += new System.EventHandler(this.dtpEndTime_Validated);
			// 
			// mainDataSet
			// 
			this.mainDataSet.DataSetName = "MainDataSet";
			this.mainDataSet.Locale = new System.Globalization.CultureInfo("ru-RU");
			// 
			// frmGroup
			// 
			this.AcceptButton = this.btnOK;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.CancelButton = this.btnCancel;
			this.ClientSize = new System.Drawing.Size(530, 343);
			this.Controls.Add(this.dtpEndTime);
			this.Controls.Add(this.dtpBeginTime);
			this.Controls.Add(this.cmbStatus);
			this.Controls.Add(this.lblStatus);
			this.Controls.Add(this.dtpEndDate);
			this.Controls.Add(this.dtpBeginDate);
			this.Controls.Add(this.cmbEmployee);
			this.Controls.Add(this.txtNotes);
			this.Controls.Add(this.lblEmployee);
			this.Controls.Add(this.lblGroupID);
			this.Controls.Add(this.cmbClassNumber);
			this.Controls.Add(this.label10);
			this.Controls.Add(this.label6);
			this.Controls.Add(this.label4);
			this.Controls.Add(this.label3);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.btnCancel);
			this.Controls.Add(this.btnOK);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "frmGroup";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Load += new System.EventHandler(this.frmGroup_Load);
			this.Activated += new System.EventHandler(this.frmGroup_Load);
			((System.ComponentModel.ISupportInitialize)(this.mainDataSet)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		private void frmGroup_Load(object sender, System.EventArgs e)
		{
			txtNotes.Focus();
		}

		//     
		private void dtpBeginDate_Validated(object sender, System.EventArgs e)
		{
			if (this.bindingRow != null)
				if (dtpBeginDate.Value != (DateTime)this.bindingRow["beginDate"])
				{
					this.bindingRow["beginDate"] = DateTime.Parse(dtpBeginDate.Value.ToString("dd MMMM yyyy"));
				}
		}

		private void dtpEndDate_Validated(object sender, System.EventArgs e)
		{
			if (this.bindingRow != null)
				if (dtpEndDate.Value != (DateTime)this.bindingRow["endDate"])
				{
					this.bindingRow["endDate"] = DateTime.Parse(dtpEndDate.Value.ToString("dd MMMM yyyy"));
				}
		}

		private void dtpBeginTime_Validated(object sender, System.EventArgs e)
		{
			if (this.bindingRow != null)
				if (dtpBeginTime.Value != (DateTime)this.bindingRow["beginTime"])
				{
					this.bindingRow["beginTime"] = DateTime.Parse(dtpBeginTime.Value.ToString("HH:mm"));
				}
		}

		private void dtpEndTime_Validated(object sender, System.EventArgs e)
		{
			if (this.bindingRow != null)
				if (dtpEndTime.Value != (DateTime)this.bindingRow["endTime"])
				{
					this.bindingRow["endTime"] = DateTime.Parse(dtpEndTime.Value.ToString("HH:mm"));
				}
		}

		private void txtNotes_Validated(object sender, System.EventArgs e)
		{
			if (this.bindingRow != null)
				if (txtNotes.Text != this.bindingRow["note"].ToString())
			{
				this.bindingRow["note"] = txtNotes.Text;
			}
		}

		private void cmbClassNumber_Validated(object sender, System.EventArgs e)
		{
			if (this.bindingRow != null)
				if (cmbClassNumber.Text != this.bindingRow["classNumber"].ToString())
			{
				this.bindingRow["classNumber"] = cmbClassNumber.Text;
			}
		}

		private void cmbStatus_Validated(object sender, System.EventArgs e)
		{
			if (this.bindingRow != null)
			{
				DataRow statusRow = this.bindingRow.GetParentRow("GroupStatusgroups");
				if (cmbStatus.Text != statusRow["StatusName"].ToString())
				{
					this.bindingRow["StatusID"] = cmbStatus.SelectedIndex + 1;
				}
			}
		}
	}
}
