using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using SelectingFormInterface;
using System.Data;
using Manager.Forms;

namespace Manager
{
	/// <summary>
	/// Summary description for PaymentType.
	/// </summary>
	public class frmPaymentType : System.Windows.Forms.Form, ISelectingForm	 
	{
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		private MainDataSet mainDataSet = null;
		public frmPaymentType(MainDataSet mainDataSet)
		{
			InitializeComponent();

			this.mainDataSet = mainDataSet; 
			this.InitialDefaultSettings();
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.dgPaymentType = new System.Windows.Forms.DataGrid();
			this.btnOK = new System.Windows.Forms.Button();
			this.bntCancel = new System.Windows.Forms.Button();
			this.mainDataSet = new Manager.Forms.MainDataSet();
			((System.ComponentModel.ISupportInitialize)(this.dgPaymentType)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.mainDataSet)).BeginInit();
			this.SuspendLayout();
			// 
			// dgPaymentType
			// 
			this.dgPaymentType.AllowNavigation = false;
			this.dgPaymentType.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.dgPaymentType.CaptionText = " ";
			this.dgPaymentType.DataMember = "";
			this.dgPaymentType.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.dgPaymentType.Location = new System.Drawing.Point(8, 16);
			this.dgPaymentType.Name = "dgPaymentType";
			this.dgPaymentType.Size = new System.Drawing.Size(344, 176);
			this.dgPaymentType.TabIndex = 0;
			// 
			// btnOK
			// 
			this.btnOK.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.btnOK.Location = new System.Drawing.Point(192, 216);
			this.btnOK.Name = "btnOK";
			this.btnOK.TabIndex = 1;
			this.btnOK.Text = "OK";
			// 
			// bntCancel
			// 
			this.bntCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.bntCancel.Location = new System.Drawing.Point(272, 216);
			this.bntCancel.Name = "bntCancel";
			this.bntCancel.TabIndex = 2;
			this.bntCancel.Text = "Cancel";
			// 
			// mainDataSet
			// 
			this.mainDataSet.DataSetName = "MainDataSet";
			this.mainDataSet.Locale = new System.Globalization.CultureInfo("ru-RU");
			// 
			// frmPaymentType
			// 
			this.AcceptButton = this.btnOK;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.CancelButton = this.bntCancel;
			this.ClientSize = new System.Drawing.Size(360, 253);
			this.Controls.Add(this.bntCancel);
			this.Controls.Add(this.btnOK);
			this.Controls.Add(this.dgPaymentType);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.Name = "frmPaymentType";
			this.Text = " ";
			((System.ComponentModel.ISupportInitialize)(this.dgPaymentType)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.mainDataSet)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		private System.Windows.Forms.DataGrid dgPaymentType;
		private System.Windows.Forms.Button btnOK;
		private System.Windows.Forms.Button bntCancel;

		private DataRow selectedRow = null;
		public DataRow SelectedRow
		{
			get { return selectedRow; }
			set { selectedRow = value; }
		}

		private void InitialDefaultSettings()
		{
			dgPaymentType.DataSource = mainDataSet;
			dgPaymentType.DataMember = "payment_type";
			
			dgPaymentType.Click += new EventHandler(dgPaymentType_Click);
			dgPaymentType.CurrentCellChanged += new EventHandler(dgPaymentType_CurrentCellChanged);
			
			this.DesignDataGrid();
		}

		private void DesignDataGrid()
		{
			//   payment_type
			DataGridTableStyle paymentTypeStyle = new DataGridTableStyle();
			paymentTypeStyle.MappingName = "payment_type";

			DataGridTextBoxColumn paymentTypeIDStyle = new DataGridTextBoxColumn();
			paymentTypeIDStyle.MappingName = "payment_typeID";
			paymentTypeIDStyle.Width = 50;
			paymentTypeIDStyle.HeaderText = "ID";


			DataGridTextBoxColumn paymentTypeNameStyle = new DataGridTextBoxColumn();
			paymentTypeNameStyle.MappingName = "payment_typeName";
			paymentTypeNameStyle.Width = 100;
			paymentTypeNameStyle.HeaderText = "Name";

			
			DataGridTextBoxColumn paymentTypeNoteStyle = new DataGridTextBoxColumn();
			paymentTypeNoteStyle.MappingName = "note";
			paymentTypeNoteStyle.Width = 200;
			paymentTypeNoteStyle.HeaderText = "Notes";

			paymentTypeStyle.GridColumnStyles.AddRange( new DataGridTextBoxColumn[] {
																						paymentTypeIDStyle,
																						paymentTypeNameStyle, 
																						paymentTypeNoteStyle});

			dgPaymentType.TableStyles.Add(paymentTypeStyle);
		}
		private void dgPaymentType_Click(object sender, EventArgs e)
		{
			if ((dgPaymentType.CurrentCell.RowNumber != -1) && (dgPaymentType.CurrentCell.ColumnNumber != -1))
				dgPaymentType_CurrentCellChanged(dgPaymentType, new EventArgs());
		}

		private void dgPaymentType_CurrentCellChanged(object sender, EventArgs e)
		{
			try
			{
				this.SelectedRow = mainDataSet.payment_type.Rows[dgPaymentType.CurrentRowIndex];
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.Message, ex.Source);
			}
		}
	}
}
