using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using System.Reflection;

namespace Manager
{
	public class frmRemoveDatabase : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Button btnOK;
		private System.Windows.Forms.Button btnCancel;
		public System.Windows.Forms.ComboBox cmbDatabases;
		private System.ComponentModel.Container components = null;

		private object server;
		private Type type;

		private object databases;
		private Type dbsType;

		public frmRemoveDatabase()
		{
			InitializeComponent();

			type = Type.GetTypeFromProgID("SQLDMO.SqlServer");
			server = Activator.CreateInstance(type);
			
			type.InvokeMember("LoginSecure",BindingFlags.SetProperty,null,server,new object[]{true});
			type.InvokeMember("Connect", BindingFlags.InvokeMethod, null, server, new object[] {".", "", ""});     
		
			databases = type.InvokeMember("Databases", BindingFlags.GetProperty, null, server, null);
			dbsType = databases.GetType();

			WriteToComboBoxDatabases(databases);
		}

		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.label1 = new System.Windows.Forms.Label();
			this.cmbDatabases = new System.Windows.Forms.ComboBox();
			this.btnOK = new System.Windows.Forms.Button();
			this.btnCancel = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(8, 16);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(160, 23);
			this.label1.TabIndex = 3;
			this.label1.Text = "  .";
			// 
			// cmbDatabases
			// 
			this.cmbDatabases.Location = new System.Drawing.Point(8, 48);
			this.cmbDatabases.Name = "cmbDatabases";
			this.cmbDatabases.Size = new System.Drawing.Size(272, 21);
			this.cmbDatabases.TabIndex = 0;
			// 
			// btnOK
			// 
			this.btnOK.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.btnOK.Location = new System.Drawing.Point(120, 96);
			this.btnOK.Name = "btnOK";
			this.btnOK.TabIndex = 1;
			this.btnOK.Text = "&OK";
			// 
			// btnCancel
			// 
			this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.btnCancel.Location = new System.Drawing.Point(200, 96);
			this.btnCancel.Name = "btnCancel";
			this.btnCancel.TabIndex = 2;
			this.btnCancel.Text = "&Cancel";
			// 
			// frmRemoveDatabase
			// 
			this.AcceptButton = this.btnOK;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.CancelButton = this.btnCancel;
			this.ClientSize = new System.Drawing.Size(290, 135);
			this.Controls.Add(this.btnCancel);
			this.Controls.Add(this.btnOK);
			this.Controls.Add(this.cmbDatabases);
			this.Controls.Add(this.label1);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "frmRemoveDatabase";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = " ";
			this.Load += new System.EventHandler(this.frmRemoveDatabase_Load);
			this.ResumeLayout(false);

		}
		#endregion

		private void WriteToComboBoxDatabases(object dbs)
		{
			Type dbsType = dbs.GetType();
			object countDatabases = dbsType.InvokeMember("Count", BindingFlags.GetProperty, null, dbs, null);

			for (int i = 0; i < (int)countDatabases; i++)
			{
				object dbsItem = dbsType.InvokeMember("Item", BindingFlags.InvokeMethod, null, dbs, new object[] {i});
				Type dbType = dbsItem.GetType();

				object dbName = dbType.InvokeMember("Name", BindingFlags.GetProperty, null, dbsItem, null);

				cmbDatabases.Items.Add((string)dbName);
			}
		}

		private void frmRemoveDatabase_Load(object sender, System.EventArgs e)
		{
		
		}
	}
}
