using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Data.SqlClient;
using System.Text;
using SelectingFormInterface;
using Manager.Forms;

namespace Manager
{
	/// <summary>
	///    
	/// </summary>
	public class frmSearchClient : System.Windows.Forms.Form, ISelectingForm
	{	
		private DataTable dtClients;	//  		
		public DataView dvSearchRez;

		private CurrencyManager currManagerClients;
		public CurrencyManager CurrencyManagerClients
		{
			get { return currManagerClients; }
			set { currManagerClients = value; }
		}

		#region // From studio

		private System.Data.SqlClient.SqlCommand sqlSelectCommand1;
		private System.Data.SqlClient.SqlCommand sqlInsertCommand1;
		private System.Data.SqlClient.SqlCommand sqlUpdateCommand1;
		private System.Data.SqlClient.SqlCommand sqlDeleteCommand1;
		private System.Data.SqlClient.SqlDataAdapter daSearch;
		private System.Data.SqlClient.SqlConnection connSearch;
		private System.Windows.Forms.Panel panel2;
		private System.Windows.Forms.Button btnGetChanges;
		private System.Windows.Forms.Button btnFind;
		private System.Windows.Forms.DateTimePicker dtpRecDate;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.TextBox txtLname;
		private System.Windows.Forms.Button btnExit;
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.Button btnOK;
		private System.Windows.Forms.Button btnCancel;
		private System.Windows.Forms.Panel panel3;
		internal System.Windows.Forms.DataGrid dgSearchRez;
		private System.Windows.Forms.TextBox txtFname;
		private System.Windows.Forms.Label label1;
		private Manager.Forms.MainDataSet mainDataSet;
		private System.ComponentModel.Container components = null;
#endregion
		
		public frmSearchClient(MainDataSet mainDataSet)
		{	
			InitializeComponent();

			this.mainDataSet = mainDataSet;
			this.MakeStyleForDataGrid();
			dtClients = mainDataSet.clients;

			dtClients.RowChanged += new DataRowChangeEventHandler(dtSearchRez_RowChanged);
			dgSearchRez.MouseUp += new MouseEventHandler(dgSearchRez_MouseUp);
			dgSearchRez.Click += new EventHandler(dgSearchRez_Click);
			currManagerClients = (CurrencyManager)this.BindingContext[mainDataSet, "income"];
		}
		
		private void MakeStyleForDataGrid()
		{
			DataGridTableStyle clientsTableStyle = new DataGridTableStyle();
			clientsTableStyle.MappingName = "clients";

			DataGridTextBoxColumn clientIDStyle = new DataGridTextBoxColumn();
			clientIDStyle.MappingName = "clientID";
			clientIDStyle.Width = 50;
			clientIDStyle.HeaderText = "ID";

			DataGridTextBoxColumn clientFirstNameStyle = new DataGridTextBoxColumn();
			clientFirstNameStyle.MappingName = "fname";
			clientFirstNameStyle.Width = 150;
			clientFirstNameStyle.HeaderText = "";

			DataGridTextBoxColumn clientLastNameStyle = new DataGridTextBoxColumn();
			clientLastNameStyle.MappingName = "lname";
			clientLastNameStyle.Width = 150;
			clientLastNameStyle.HeaderText = "";

			DataGridTextBoxColumn clientFatherNameStyle = new DataGridTextBoxColumn();
			clientFatherNameStyle.MappingName = "fathName";
			clientFatherNameStyle.Width = 150;
			clientFatherNameStyle.HeaderText = "";

			DataGridTextBoxColumn clientLinkDataStyle = new DataGridTextBoxColumn();
			clientLinkDataStyle.MappingName = "linkData";
			clientLinkDataStyle.Width = 150;
			clientLinkDataStyle.HeaderText = "";

			DataGridTextBoxColumn clientRecordDateStyle = new DataGridTextBoxColumn();
			clientRecordDateStyle.MappingName = "recorddate";
			clientRecordDateStyle.Width = 150;
			clientRecordDateStyle.HeaderText = " ";

			DataGridTextBoxColumn clientNotesStyle = new DataGridTextBoxColumn();
			clientNotesStyle.MappingName = "note";
			clientNotesStyle.Width = 150;
			clientNotesStyle.HeaderText = "";

			DataGridTextBoxColumn clientPaymentTypeStyle = new DataGridTextBoxColumn();
			clientPaymentTypeStyle.MappingName = "paymentType";
			clientPaymentTypeStyle.Width = 150;
			clientPaymentTypeStyle.HeaderText = " ";

			clientsTableStyle.GridColumnStyles.AddRange(new DataGridColumnStyle[] {
																					  clientIDStyle,
																					  clientFirstNameStyle,
																					  clientLastNameStyle,
																					  clientFatherNameStyle,
																					  clientLinkDataStyle,
																					  clientRecordDateStyle,
																					  clientNotesStyle,
																					  clientPaymentTypeStyle});

			dgSearchRez.TableStyles.Add(clientsTableStyle);
		}

		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		
		private void InitializeComponent()
		{
			this.daSearch = new System.Data.SqlClient.SqlDataAdapter();
			this.sqlDeleteCommand1 = new System.Data.SqlClient.SqlCommand();
			this.connSearch = new System.Data.SqlClient.SqlConnection();
			this.sqlInsertCommand1 = new System.Data.SqlClient.SqlCommand();
			this.sqlSelectCommand1 = new System.Data.SqlClient.SqlCommand();
			this.sqlUpdateCommand1 = new System.Data.SqlClient.SqlCommand();
			this.panel2 = new System.Windows.Forms.Panel();
			this.txtFname = new System.Windows.Forms.TextBox();
			this.label1 = new System.Windows.Forms.Label();
			this.btnExit = new System.Windows.Forms.Button();
			this.btnGetChanges = new System.Windows.Forms.Button();
			this.btnFind = new System.Windows.Forms.Button();
			this.dtpRecDate = new System.Windows.Forms.DateTimePicker();
			this.label2 = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.txtLname = new System.Windows.Forms.TextBox();
			this.panel1 = new System.Windows.Forms.Panel();
			this.btnCancel = new System.Windows.Forms.Button();
			this.btnOK = new System.Windows.Forms.Button();
			this.panel3 = new System.Windows.Forms.Panel();
			this.dgSearchRez = new System.Windows.Forms.DataGrid();
			this.mainDataSet = new Manager.Forms.MainDataSet();
			this.panel2.SuspendLayout();
			this.panel1.SuspendLayout();
			this.panel3.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.dgSearchRez)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.mainDataSet)).BeginInit();
			this.SuspendLayout();
			// 
			// daSearch
			// 
			this.daSearch.DeleteCommand = this.sqlDeleteCommand1;
			this.daSearch.InsertCommand = this.sqlInsertCommand1;
			this.daSearch.SelectCommand = this.sqlSelectCommand1;
			this.daSearch.TableMappings.AddRange(new System.Data.Common.DataTableMapping[] {
																							   new System.Data.Common.DataTableMapping("Table", "clients", new System.Data.Common.DataColumnMapping[] {
																																																		  new System.Data.Common.DataColumnMapping("clientID", "clientID"),
																																																		  new System.Data.Common.DataColumnMapping("fname", "fname"),
																																																		  new System.Data.Common.DataColumnMapping("lname", "lname"),
																																																		  new System.Data.Common.DataColumnMapping("fathName", "fathName"),
																																																		  new System.Data.Common.DataColumnMapping("linkData", "linkData"),
																																																		  new System.Data.Common.DataColumnMapping("recorddate", "recorddate"),
																																																		  new System.Data.Common.DataColumnMapping("note", "note"),
																																																		  new System.Data.Common.DataColumnMapping("paymentType", "paymentType")})});
			this.daSearch.UpdateCommand = this.sqlUpdateCommand1;
			// 
			// sqlDeleteCommand1
			// 
			this.sqlDeleteCommand1.CommandText = @"DELETE FROM clients WHERE (clientID = @Original_clientID) AND (fathName = @Original_fathName OR @Original_fathName IS NULL AND fathName IS NULL) AND (fname = @Original_fname OR @Original_fname IS NULL AND fname IS NULL) AND (linkData = @Original_linkData OR @Original_linkData IS NULL AND linkData IS NULL) AND (lname = @Original_lname OR @Original_lname IS NULL AND lname IS NULL) AND (note = @Original_note OR @Original_note IS NULL AND note IS NULL) AND (paymentType = @Original_paymentType OR @Original_paymentType IS NULL AND paymentType IS NULL) AND (recorddate = @Original_recorddate OR @Original_recorddate IS NULL AND recorddate IS NULL)";
			this.sqlDeleteCommand1.Connection = this.connSearch;
			this.sqlDeleteCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_clientID", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "clientID", System.Data.DataRowVersion.Original, null));
			this.sqlDeleteCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_fathName", System.Data.SqlDbType.NVarChar, 50, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "fathName", System.Data.DataRowVersion.Original, null));
			this.sqlDeleteCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_fname", System.Data.SqlDbType.NVarChar, 50, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "fname", System.Data.DataRowVersion.Original, null));
			this.sqlDeleteCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_linkData", System.Data.SqlDbType.NVarChar, 50, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "linkData", System.Data.DataRowVersion.Original, null));
			this.sqlDeleteCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_lname", System.Data.SqlDbType.NVarChar, 50, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "lname", System.Data.DataRowVersion.Original, null));
			this.sqlDeleteCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_note", System.Data.SqlDbType.NVarChar, 50, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "note", System.Data.DataRowVersion.Original, null));
			this.sqlDeleteCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_paymentType", System.Data.SqlDbType.NVarChar, 50, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "paymentType", System.Data.DataRowVersion.Original, null));
			this.sqlDeleteCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_recorddate", System.Data.SqlDbType.DateTime, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "recorddate", System.Data.DataRowVersion.Original, null));
			// 
			// connSearch
			// 
			this.connSearch.ConnectionString = "workstation id=VBA1;packet size=4096;integrated security=SSPI;data source=VBA1;pe" +
				"rsist security info=False;initial catalog=AAAAA";
			// 
			// sqlInsertCommand1
			// 
			this.sqlInsertCommand1.CommandText = @"INSERT INTO clients(fname, lname, fathName, linkData, recorddate, note, paymentType) VALUES (@fname, @lname, @fathName, @linkData, @recorddate, @note, @paymentType); SELECT clientID, fname, lname, fathName, linkData, recorddate, note, paymentType FROM clients WHERE (clientID = @@IDENTITY)";
			this.sqlInsertCommand1.Connection = this.connSearch;
			this.sqlInsertCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@fname", System.Data.SqlDbType.NVarChar, 50, "fname"));
			this.sqlInsertCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@lname", System.Data.SqlDbType.NVarChar, 50, "lname"));
			this.sqlInsertCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@fathName", System.Data.SqlDbType.NVarChar, 50, "fathName"));
			this.sqlInsertCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@linkData", System.Data.SqlDbType.NVarChar, 50, "linkData"));
			this.sqlInsertCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@recorddate", System.Data.SqlDbType.DateTime, 8, "recorddate"));
			this.sqlInsertCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@note", System.Data.SqlDbType.NVarChar, 50, "note"));
			this.sqlInsertCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@paymentType", System.Data.SqlDbType.NVarChar, 50, "paymentType"));
			// 
			// sqlSelectCommand1
			// 
			this.sqlSelectCommand1.CommandText = "SELECT clientID, fname, lname, fathName, linkData, recorddate, note, paymentType " +
				"FROM clients";
			this.sqlSelectCommand1.Connection = this.connSearch;
			// 
			// sqlUpdateCommand1
			// 
			this.sqlUpdateCommand1.CommandText = @"UPDATE clients SET fname = @fname, lname = @lname, fathName = @fathName, linkData = @linkData, recorddate = @recorddate, note = @note, paymentType = @paymentType WHERE (clientID = @Original_clientID) AND (fathName = @Original_fathName OR @Original_fathName IS NULL AND fathName IS NULL) AND (fname = @Original_fname OR @Original_fname IS NULL AND fname IS NULL) AND (linkData = @Original_linkData OR @Original_linkData IS NULL AND linkData IS NULL) AND (lname = @Original_lname OR @Original_lname IS NULL AND lname IS NULL) AND (note = @Original_note OR @Original_note IS NULL AND note IS NULL) AND (paymentType = @Original_paymentType OR @Original_paymentType IS NULL AND paymentType IS NULL) AND (recorddate = @Original_recorddate OR @Original_recorddate IS NULL AND recorddate IS NULL); SELECT clientID, fname, lname, fathName, linkData, recorddate, note, paymentType FROM clients WHERE (clientID = @clientID)";
			this.sqlUpdateCommand1.Connection = this.connSearch;
			this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@fname", System.Data.SqlDbType.NVarChar, 50, "fname"));
			this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@lname", System.Data.SqlDbType.NVarChar, 50, "lname"));
			this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@fathName", System.Data.SqlDbType.NVarChar, 50, "fathName"));
			this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@linkData", System.Data.SqlDbType.NVarChar, 50, "linkData"));
			this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@recorddate", System.Data.SqlDbType.DateTime, 8, "recorddate"));
			this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@note", System.Data.SqlDbType.NVarChar, 50, "note"));
			this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@paymentType", System.Data.SqlDbType.NVarChar, 50, "paymentType"));
			this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_clientID", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "clientID", System.Data.DataRowVersion.Original, null));
			this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_fathName", System.Data.SqlDbType.NVarChar, 50, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "fathName", System.Data.DataRowVersion.Original, null));
			this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_fname", System.Data.SqlDbType.NVarChar, 50, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "fname", System.Data.DataRowVersion.Original, null));
			this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_linkData", System.Data.SqlDbType.NVarChar, 50, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "linkData", System.Data.DataRowVersion.Original, null));
			this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_lname", System.Data.SqlDbType.NVarChar, 50, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "lname", System.Data.DataRowVersion.Original, null));
			this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_note", System.Data.SqlDbType.NVarChar, 50, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "note", System.Data.DataRowVersion.Original, null));
			this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_paymentType", System.Data.SqlDbType.NVarChar, 50, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "paymentType", System.Data.DataRowVersion.Original, null));
			this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@Original_recorddate", System.Data.SqlDbType.DateTime, 8, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "recorddate", System.Data.DataRowVersion.Original, null));
			this.sqlUpdateCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@clientID", System.Data.SqlDbType.Int, 4, "clientID"));
			// 
			// panel2
			// 
			this.panel2.Controls.Add(this.txtFname);
			this.panel2.Controls.Add(this.label1);
			this.panel2.Controls.Add(this.btnExit);
			this.panel2.Controls.Add(this.btnGetChanges);
			this.panel2.Controls.Add(this.btnFind);
			this.panel2.Controls.Add(this.dtpRecDate);
			this.panel2.Controls.Add(this.label2);
			this.panel2.Controls.Add(this.label3);
			this.panel2.Controls.Add(this.txtLname);
			this.panel2.Dock = System.Windows.Forms.DockStyle.Top;
			this.panel2.Location = new System.Drawing.Point(0, 0);
			this.panel2.Name = "panel2";
			this.panel2.Size = new System.Drawing.Size(576, 144);
			this.panel2.TabIndex = 0;
			// 
			// txtFname
			// 
			this.txtFname.Font = new System.Drawing.Font("Lucida Console", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.txtFname.Location = new System.Drawing.Point(144, 70);
			this.txtFname.Name = "txtFname";
			this.txtFname.Size = new System.Drawing.Size(256, 20);
			this.txtFname.TabIndex = 1;
			this.txtFname.Text = "";
			// 
			// label1
			// 
			this.label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.label1.ForeColor = System.Drawing.SystemColors.ActiveCaption;
			this.label1.ImeMode = System.Windows.Forms.ImeMode.NoControl;
			this.label1.Location = new System.Drawing.Point(16, 60);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(112, 32);
			this.label1.TabIndex = 26;
			this.label1.Text = "";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// btnExit
			// 
			this.btnExit.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.btnExit.Font = new System.Drawing.Font("Lucida Console", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.btnExit.ImeMode = System.Windows.Forms.ImeMode.NoControl;
			this.btnExit.Location = new System.Drawing.Point(456, 104);
			this.btnExit.Name = "btnExit";
			this.btnExit.Size = new System.Drawing.Size(104, 24);
			this.btnExit.TabIndex = 5;
			this.btnExit.Text = "";
			this.btnExit.Click += new System.EventHandler(this.btnExit_Click);
			// 
			// btnGetChanges
			// 
			this.btnGetChanges.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.btnGetChanges.Enabled = false;
			this.btnGetChanges.Font = new System.Drawing.Font("Lucida Console", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.btnGetChanges.ForeColor = System.Drawing.Color.Red;
			this.btnGetChanges.ImeMode = System.Windows.Forms.ImeMode.NoControl;
			this.btnGetChanges.Location = new System.Drawing.Point(456, 56);
			this.btnGetChanges.Name = "btnGetChanges";
			this.btnGetChanges.Size = new System.Drawing.Size(104, 32);
			this.btnGetChanges.TabIndex = 4;
			this.btnGetChanges.Text = " ";
			this.btnGetChanges.Click += new System.EventHandler(this.btnGetChanges_Click);
			// 
			// btnFind
			// 
			this.btnFind.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.btnFind.Font = new System.Drawing.Font("Palatino Linotype", 10F, System.Drawing.FontStyle.Bold);
			this.btnFind.ImeMode = System.Windows.Forms.ImeMode.NoControl;
			this.btnFind.Location = new System.Drawing.Point(456, 24);
			this.btnFind.Name = "btnFind";
			this.btnFind.Size = new System.Drawing.Size(104, 24);
			this.btnFind.TabIndex = 3;
			this.btnFind.Text = "";
			this.btnFind.Click += new System.EventHandler(this.btnFind_Click);
			// 
			// dtpRecDate
			// 
			this.dtpRecDate.CustomFormat = "dd MMMM yyyy";
			this.dtpRecDate.Font = new System.Drawing.Font("Lucida Console", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.dtpRecDate.Format = System.Windows.Forms.DateTimePickerFormat.Custom;
			this.dtpRecDate.Location = new System.Drawing.Point(144, 108);
			this.dtpRecDate.Name = "dtpRecDate";
			this.dtpRecDate.Size = new System.Drawing.Size(256, 20);
			this.dtpRecDate.TabIndex = 2;
			// 
			// label2
			// 
			this.label2.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.label2.ForeColor = System.Drawing.SystemColors.ActiveCaption;
			this.label2.ImeMode = System.Windows.Forms.ImeMode.NoControl;
			this.label2.Location = new System.Drawing.Point(16, 24);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(112, 32);
			this.label2.TabIndex = 19;
			this.label2.Text = "";
			this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// label3
			// 
			this.label3.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.label3.ForeColor = System.Drawing.SystemColors.ActiveCaption;
			this.label3.ImeMode = System.Windows.Forms.ImeMode.NoControl;
			this.label3.Location = new System.Drawing.Point(16, 96);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(112, 32);
			this.label3.TabIndex = 20;
			this.label3.Text = "";
			this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// txtLname
			// 
			this.txtLname.Font = new System.Drawing.Font("Lucida Console", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.txtLname.Location = new System.Drawing.Point(144, 32);
			this.txtLname.Name = "txtLname";
			this.txtLname.Size = new System.Drawing.Size(256, 20);
			this.txtLname.TabIndex = 0;
			this.txtLname.Text = "";
			// 
			// panel1
			// 
			this.panel1.Controls.Add(this.btnCancel);
			this.panel1.Controls.Add(this.btnOK);
			this.panel1.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.panel1.Location = new System.Drawing.Point(0, 365);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(576, 40);
			this.panel1.TabIndex = 1;
			// 
			// btnCancel
			// 
			this.btnCancel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.btnCancel.Location = new System.Drawing.Point(496, 8);
			this.btnCancel.Name = "btnCancel";
			this.btnCancel.Size = new System.Drawing.Size(72, 24);
			this.btnCancel.TabIndex = 1;
			this.btnCancel.Text = "&Cancel";
			// 
			// btnOK
			// 
			this.btnOK.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.btnOK.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.btnOK.Location = new System.Drawing.Point(408, 8);
			this.btnOK.Name = "btnOK";
			this.btnOK.TabIndex = 0;
			this.btnOK.Text = "&OK";
			// 
			// panel3
			// 
			this.panel3.AutoScroll = true;
			this.panel3.Controls.Add(this.dgSearchRez);
			this.panel3.Dock = System.Windows.Forms.DockStyle.Fill;
			this.panel3.Location = new System.Drawing.Point(0, 144);
			this.panel3.Name = "panel3";
			this.panel3.Size = new System.Drawing.Size(576, 221);
			this.panel3.TabIndex = 14;
			// 
			// dgSearchRez
			// 
			this.dgSearchRez.AllowNavigation = false;
			this.dgSearchRez.CaptionFont = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Bold);
			this.dgSearchRez.CaptionText = "";
			this.dgSearchRez.DataMember = "";
			this.dgSearchRez.Dock = System.Windows.Forms.DockStyle.Fill;
			this.dgSearchRez.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.dgSearchRez.Location = new System.Drawing.Point(0, 0);
			this.dgSearchRez.Name = "dgSearchRez";
			this.dgSearchRez.RowHeadersVisible = false;
			this.dgSearchRez.Size = new System.Drawing.Size(576, 221);
			this.dgSearchRez.TabIndex = 0;
			// 
			// mainDataSet
			// 
			this.mainDataSet.DataSetName = "MainDataSet";
			this.mainDataSet.Locale = new System.Globalization.CultureInfo("ru-RU");
			// 
			// frmSearchClient
			// 
			this.AcceptButton = this.btnFind;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.CancelButton = this.btnCancel;
			this.ClientSize = new System.Drawing.Size(576, 405);
			this.Controls.Add(this.panel3);
			this.Controls.Add(this.panel1);
			this.Controls.Add(this.panel2);
			this.MaximizeBox = false;
			this.Name = "frmSearchClient";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = " ";
			this.panel2.ResumeLayout(false);
			this.panel1.ResumeLayout(false);
			this.panel3.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.dgSearchRez)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.mainDataSet)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion		
        
		//         
		private void btnFind_Click(object sender, System.EventArgs e) 
		{	
			try  
			{	
				dvSearchRez = new DataView(dtClients);

				string str = @"fname LIKE '" + txtFname.Text + @"' OR lname LIKE '" + txtLname.Text + @"'" + @" OR recorddate = '" + dtpRecDate.Value.Date.ToString() + @"'";
						 
				dvSearchRez.RowFilter = str; 
					
				dgSearchRez.DataSource = dvSearchRez;	
				currManagerClients = (CurrencyManager)this.BindingContext[dvSearchRez, null];
			
			}
			catch (Exception ex)	
			{
				MessageBox.Show(ex.Message, ex.Source);  
			}		
		}
		
		//  
		private void btnGetChanges_Click(object sender, System.EventArgs e) //      
		{
			try
			{
				daSearch.Update(dtClients.GetChanges());
				btnGetChanges.Enabled = false;
			}				
			catch(Exception ex)
			{
				MessageBox.Show(ex.Message, ex.Source);			
			}
		}

		//    
		private void dtSearchRez_RowChanged(object sender, DataRowChangeEventArgs e)
		{
			btnGetChanges.Enabled = true;
		}

		private void btnExit_Click(object sender, System.EventArgs e)
		{
			this.Close();
		}

		private void dgSearchRez_ShowParentDetailsButtonClick(object sender, EventArgs e)
		{
			MessageBox.Show("OK");
		}

		private void dgSearchRez_Navigate(object sender, NavigateEventArgs ne)
		{
			
		}

		private void dgSearchRez_Click(object sender, EventArgs e)
		{
			
		}

		private void dgSearchRez_MouseUp(object sender, MouseEventArgs e)
		{
			Point point = new Point(e.X, e.Y);
			int rowIndex = dgSearchRez.CurrentRowIndex;

			if (rowIndex >= 0)
			{
				System.Windows.Forms.DataGrid.HitTestInfo hti = dgSearchRez.HitTest(point);
				this.SelectedRow = dvSearchRez[hti.Row].Row;
			}
		}
		#region IFindingForm Members

		private DataRow selectedRow;
		public DataRow SelectedRow
		{
			get
			{
				return selectedRow;
			}
			set
			{	
				selectedRow = value;
			}
		}

		#endregion
	}
}
