using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;

namespace RealizingClient
{
	/// <summary>
	/// Summary description for UserControl1.
	/// </summary>
	public class RealizingClientControl : System.Windows.Forms.UserControl
	{
		private System.Windows.Forms.TextBox txtClientName;
		private System.Windows.Forms.TextBox txtClientLastName;
		private System.Windows.Forms.TextBox txtRealizingSumm;
		private System.Windows.Forms.TextBox txtClientID;
		private System.Windows.Forms.TextBox txtNotes;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		private int clientID = 0;
		public int ClientID
		{
			get { return clientID; }
		}

		private string clientFirstName = "";
		public string ClientFirstName
		{
			get { return clientFirstName; }
			set { clientFirstName = value; }
		}

		private string clientLastName = "";
		public string ClientLastName
		{
			get { return clientLastName; }
			set { clientLastName = value; }
		}

		private double realizedSumm = 0;
		private System.Windows.Forms.DateTimePicker dtpRealizedDate;
	
		public double RealizedSumm
		{
			get { return realizedSumm; }
			set { realizedSumm = value; }
		}

		private DateTime dateOfRealization;
		public DateTime DateOfRealization
		{
			get { return dateOfRealization; }
			set { dateOfRealization = value; }
		}

		private string notes = "";
		public string Notes
		{
			get { return notes; }
			set { notes = value; }
		}

		public RealizingClientControl()
		{
			// This call is required by the Windows.Forms Form Designer.
			InitializeComponent();

			dateOfRealization = dtpRealizedDate.Value;

			// TODO: Add any initialization after the InitComponent call
		}
				
		public void SetValues(DataRow clientRow)
		{
			txtClientID.Text = clientRow["clientID"].ToString();
			this.clientID = (int)clientRow["clientID"];

			txtClientName.Text = clientRow["fname"].ToString();
			this.clientFirstName = clientRow["fname"].ToString();

			txtClientLastName.Text = clientRow["lname"].ToString();
			this.clientLastName = clientRow["lname"].ToString();
		}

		public void SetValues(DataRow clientRow, double realizedSumm)
		{
			txtClientID.Text = clientRow["clientID"].ToString();
			this.clientID = (int)clientRow["clientID"];

			txtClientName.Text = clientRow["fname"].ToString();
			this.clientFirstName = clientRow["fname"].ToString();

			txtClientLastName.Text = clientRow["lname"].ToString();
			this.clientLastName = clientRow["lname"].ToString();

			txtRealizingSumm.Text = realizedSumm.ToString();
			this.realizedSumm = realizedSumm;
		}

		public void SetValues(DataRow clientRow, double realizedSumm, string notes)
		{
			txtClientID.Text = clientRow["clientID"].ToString();
			this.clientID = (int)clientRow["clientID"];

			txtClientName.Text = clientRow["fname"].ToString();
			this.clientFirstName = clientRow["fname"].ToString();

			txtClientLastName.Text = clientRow["lname"].ToString();
			this.clientLastName = clientRow["lname"].ToString();

			txtRealizingSumm.Text = realizedSumm.ToString();
			this.realizedSumm = realizedSumm;

			txtNotes.Text = notes;
			this.notes = notes;
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if( components != null )
					components.Dispose();
			}
			base.Dispose( disposing );
		}

		#region Component Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify 
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.txtClientName = new System.Windows.Forms.TextBox();
			this.txtClientLastName = new System.Windows.Forms.TextBox();
			this.txtRealizingSumm = new System.Windows.Forms.TextBox();
			this.txtClientID = new System.Windows.Forms.TextBox();
			this.txtNotes = new System.Windows.Forms.TextBox();
			this.dtpRealizedDate = new System.Windows.Forms.DateTimePicker();
			this.SuspendLayout();
			// 
			// txtClientName
			// 
			this.txtClientName.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.txtClientName.ForeColor = System.Drawing.SystemColors.HotTrack;
			this.txtClientName.Location = new System.Drawing.Point(96, 8);
			this.txtClientName.Name = "txtClientName";
			this.txtClientName.Size = new System.Drawing.Size(184, 20);
			this.txtClientName.TabIndex = 21;
			this.txtClientName.Text = "";
			this.txtClientName.Validated += new System.EventHandler(this.txtClientName_Validated);
			// 
			// txtClientLastName
			// 
			this.txtClientLastName.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.txtClientLastName.ForeColor = System.Drawing.SystemColors.HotTrack;
			this.txtClientLastName.Location = new System.Drawing.Point(288, 8);
			this.txtClientLastName.Name = "txtClientLastName";
			this.txtClientLastName.Size = new System.Drawing.Size(184, 20);
			this.txtClientLastName.TabIndex = 22;
			this.txtClientLastName.Text = "";
			this.txtClientLastName.Validated += new System.EventHandler(this.txtClientLastName_Validated);
			// 
			// txtRealizingSumm
			// 
			this.txtRealizingSumm.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.txtRealizingSumm.ForeColor = System.Drawing.Color.DarkGreen;
			this.txtRealizingSumm.Location = new System.Drawing.Point(480, 8);
			this.txtRealizingSumm.Name = "txtRealizingSumm";
			this.txtRealizingSumm.Size = new System.Drawing.Size(184, 20);
			this.txtRealizingSumm.TabIndex = 23;
			this.txtRealizingSumm.Text = "";
			this.txtRealizingSumm.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
			this.txtRealizingSumm.Validated += new System.EventHandler(this.txtRealizingSumm_Validated);
			// 
			// txtClientID
			// 
			this.txtClientID.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.txtClientID.ForeColor = System.Drawing.SystemColors.Highlight;
			this.txtClientID.Location = new System.Drawing.Point(8, 8);
			this.txtClientID.Name = "txtClientID";
			this.txtClientID.ReadOnly = true;
			this.txtClientID.Size = new System.Drawing.Size(80, 20);
			this.txtClientID.TabIndex = 20;
			this.txtClientID.Text = "";
			this.txtClientID.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
			// 
			// txtNotes
			// 
			this.txtNotes.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.txtNotes.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.txtNotes.ForeColor = System.Drawing.Color.DarkGreen;
			this.txtNotes.Location = new System.Drawing.Point(776, 8);
			this.txtNotes.Multiline = true;
			this.txtNotes.Name = "txtNotes";
			this.txtNotes.ScrollBars = System.Windows.Forms.ScrollBars.Both;
			this.txtNotes.Size = new System.Drawing.Size(208, 96);
			this.txtNotes.TabIndex = 25;
			this.txtNotes.Text = "";
			this.txtNotes.Validated += new System.EventHandler(this.txtNotes_Validated);
			// 
			// dtpRealizedDate
			// 
			this.dtpRealizedDate.Format = System.Windows.Forms.DateTimePickerFormat.Short;
			this.dtpRealizedDate.Location = new System.Drawing.Point(672, 8);
			this.dtpRealizedDate.Name = "dtpRealizedDate";
			this.dtpRealizedDate.Size = new System.Drawing.Size(96, 20);
			this.dtpRealizedDate.TabIndex = 24;
			this.dtpRealizedDate.Validated += new System.EventHandler(this.dtpRealizedDate_Validated);
			// 
			// RealizingClientControl
			// 
			this.Controls.Add(this.dtpRealizedDate);
			this.Controls.Add(this.txtNotes);
			this.Controls.Add(this.txtClientID);
			this.Controls.Add(this.txtRealizingSumm);
			this.Controls.Add(this.txtClientLastName);
			this.Controls.Add(this.txtClientName);
			this.Name = "RealizingClientControl";
			this.Size = new System.Drawing.Size(992, 112);
			this.ResumeLayout(false);

		}
		#endregion

		private void txtClientName_Validated(object sender, System.EventArgs e)
		{
			this.clientFirstName = txtClientName.Text;
		}

		private void txtClientLastName_Validated(object sender, System.EventArgs e)
		{
			this.clientLastName = txtClientLastName.Text;
		}

		private void txtRealizingSumm_Validated(object sender, System.EventArgs e)
		{
			if (txtRealizingSumm.Text == "")
			{
				this.realizedSumm = 0;
				return;
			}

			this.realizedSumm = double.Parse(txtRealizingSumm.Text);
		}

		private void dtpRealizedDate_Validated(object sender, System.EventArgs e)
		{
			this.dateOfRealization = dtpRealizedDate.Value;
		}

		private void txtNotes_Validated(object sender, System.EventArgs e)
		{
			this.notes = txtNotes.Text;
		}
	}
}